ConfigDialog Class Reference

Preferences dialog. More...

`#include <ConfigDialog.h>`

Inheritance diagram for ConfigDialog:

## Public Member Functions

| ConfigDialog (QWidget *parent, Qt::WFlags fl=0)
| Constructor. More...
void | setColumnSeparator (const QString &sep)

## Private Slots

void | accept ()
void | adjustCanvasHeight (double width)
void | adjustCanvasWidth (double height)
void | apply ()
void | changeColorName (int, int)
void | chooseHelpFolder ()
void | chooseJava ()
void | chooseJODConverter ()
void | chooseOffice ()
void | chooseTexCompiler ()
void | chooseTranslationsFolder ()
int | curveStyle ()
void | customizeNotes ()
void | enableMajorGrids (bool on)
void | enableMinorGrids (bool on)
void | insertLanguagesList ()
virtual void | languageChange ()
void | loadDefaultColors ()
void | loadDefaultSymbols ()
void | moveColor (bool up=true)
void | moveColorDown ()
void | moveSymbol (bool up=true)
void | moveSymbolDown ()
void | newColor ()
void | pick3DAxesFont ()
void | pick3DNumbersFont ()
void | pick3DTitleFont ()
void | pickApplicationFont ()
void | pickAxesFont ()
void | pickHeaderFont ()
void | pickLegendFont ()
void | pickNumbersFont ()
void | pickTextFont ()
void | pickTitleFont ()
void | rehighlight ()
void | removeColor ()
void | resetDefaultSettings ()
void | setCurrentPage (int index)
void | setCurrentSymbol (SymbolBox *)
void | showColorDialog (int, int)
void | showFrameWidth (bool ok)
void | showPointsBox (bool)
void | switchToLanguage (int param)
void | updateCanvasSize (int unit)
void | updateSymbolsList (int)
bool | validateJava ()
bool | validateJODConverter ()
bool | validateOffice ()
bool | validateTexCompiler ()

## Private Member Functions

double | convertFromPixels (int w, FrameWidget::Unit unit, int dimension)
int | convertToPixels (double w, FrameWidget::Unit unit, int dimension)
void | enableCurveAntialiasingSizeBox (bool)
void | initAppPage ()
void | initAxesPage ()
void | initConfirmationsPage ()
void | initCurvesPage ()
void | initFileLocationsPage ()
void | initFittingPage ()
void | initGridPage ()
void | initLayerGeometryPage ()
void | initLayerSpeedPage ()
void | initNotesPage ()
void | initPlots3DPage ()
void | initPlotsPage ()
void | initProxyPage ()
void | initTablesPage ()
void | majorGridEnabled (bool)
void | minorGridEnabled (bool)
void | setApplication (ApplicationWindow *app)
QNetworkProxy | setApplicationCustomProxy ()
void | setColorsList (const QList< QColor > &colList, const QStringList &colNames)
void | setSymbolsList (const QList< int > &symbList)
void | showGridOptions (int axis)
void | updateGrid ()
void | updateMenuList ()
| Calculates a sensible width for the items list. More...
bool | validFolderPath (const QString &path)

## Private Attributes

QGroupBox * | antialiasingGroupBox
QWidget * | appColors
QFont | appFont
QWidget * | application
QTabWidget * | appTabWidget
double | aspect_ratio
QComboBox * | attachToBox
QLabel * | attachToLabel
QFont | axesFont
QListWidget * | axesGridList
QWidget * | axesPage
QComboBox * | axisLabelingBox
QSlider * | bkgOpacitySlider
QCheckBox * | boxAntialiseGrid
QSpinBox * | boxAppPrecision
QCheckBox * | boxAutoscale3DPlots
QCheckBox * | boxAutoscaling
QSpinBox * | boxAxesLabelsDist
QCheckBox * | boxBackbones
ColorButton * | boxBackgroundColor
QSpinBox * | boxBackgroundTransparency
QCheckBox * | boxBackupProject
ColorButton * | boxBorderColor
QSpinBox * | boxBorderWidth
ColorButton * | boxCanvasColor
DoubleSpinBox * | boxCanvasHeight
QSpinBox * | boxCanvasTransparency
DoubleSpinBox * | boxCanvasWidth
QComboBox * | boxClipboardLocale
ColorButton * | boxColorMajor
ColorButton * | boxColorMinor
QCheckBox * | boxConfirmModifyDataPoints
QCheckBox * | boxConfirmOverwrite
DoubleSpinBox * | boxCurveLineWidth
QComboBox * | boxCurveStyle
QComboBox * | boxDecimalSeparator
QCheckBox * | boxEmptyCellGap
QCheckBox * | boxEnableAxis
QComboBox * | boxEndLine
QCheckBox * | boxFolders
QFontComboBox * | boxFontFamily
QSpinBox * | boxFontSize
QCheckBox * | boxFrame
QSpinBox * | boxFrameWidth
QComboBox * | boxGridXAxis
QComboBox * | boxGridYAxis
QComboBox * | boxInitWindow
QCheckBox * | boxLabelsEditing
QComboBox * | boxLanguage
QSpinBox * | boxLineWidth
QCheckBox * | boxMajorGrid
QCheckBox * | boxMajorGrids
QComboBox * | boxMajorGridStyle
DoubleSpinBox * | boxMajorGridWidth
QComboBox * | boxMajTicks
QSpinBox * | boxMajTicksLength
QSpinBox * | boxMargin
QCheckBox * | boxMatrices
QCheckBox * | boxMinorGrid
QCheckBox * | boxMinorGrids
QComboBox * | boxMinorGridStyle
DoubleSpinBox * | boxMinorGridWidth
QComboBox * | boxMinTicks
QSpinBox * | boxMinTicksLength
QSpinBox * | boxMinutes
QCheckBox * | boxMultiPeakMsgs
QCheckBox * | boxMuParserCLocale
QCheckBox * | boxNotes
QCheckBox * | boxOrthogonal
ColorButton * | boxPeaksColor
QCheckBox * | boxPlots2D
QCheckBox * | boxPlots3D
QSpinBox * | boxPrecision
QCheckBox * | boxPrintCropmarks
QComboBox * | boxProjection
QCheckBox * | boxPromptRenameTables
QCheckBox * | boxResize
QSpinBox * | boxResolution
QCheckBox * | boxSave
QCheckBox * | boxScaleFonts
QCheckBox * | boxScaleLayersOnPrint
QComboBox * | boxScriptingLanguage
QCheckBox * | boxSearchUpdates
QComboBox * | boxSeparator
QCheckBox * | boxShowAxisLabels
QCheckBox * | boxShowLegend
QCheckBox * | boxSmoothMesh
QComboBox * | boxStyle
QSpinBox * | boxSymbolSize
QCheckBox * | boxSynchronizeScales
QCheckBox * | boxTableComments
QSpinBox * | boxTabLength
QCheckBox * | boxTablePasteDialog
QCheckBox * | boxTables
QCheckBox * | boxThousandsSeparator
QSpinBox * | boxTickLabelsDist
QCheckBox * | boxTitle
PenStyleBox * | boxTypeMajor
PenStyleBox * | boxTypeMinor
QCheckBox * | boxUpdateTableValues
DoubleSpinBox * | boxWidthMajor
DoubleSpinBox * | boxWidthMinor
QPushButton * | browseJavaBtn
QPushButton * | browseJODConverterBtn
QPushButton * | browseOfficeBtn
QPushButton * | browseTexCompilerBtn
ColorButton * | btnAxes
ColorButton * | btnBackground3D
QPushButton * | btnColorDown
QPushButton * | btnColorUp
QPushButton * | btnDefaultSettings
ColorButton * | btnGrid
ColorButton * | btnGridMinor
ColorButton * | btnLabels
QPushButton * | btnLabelsFnt
QPushButton * | btnLoadDefaultColors
QPushButton * | btnLoadDefaultSymbols
ColorButton * | btnMesh
QPushButton * | btnNewColor
ColorButton * | btnNumbers
QPushButton * | btnNumFnt
ColorButton * | btnPanels
ColorButton * | btnPanelsText
QPushButton * | btnRemoveColor
QPushButton * | btnSymbolDown
QPushButton * | btnSymbolUp
QPushButton * | btnTitleFnt
ColorButton * | btnWorkspace
QPushButton * | buttonApply
QPushButton * | buttonAxesFont
ColorButton * | buttonBackground
QPushButton * | buttonBoldFont
QPushButton * | buttonCancel
ColorButton * | buttonClassColor
QLabel * | buttonClassLabel
ColorButton * | buttonCommentColor
QLabel * | buttonCommentLabel
ColorButton * | buttonFunctionColor
QLabel * | buttonFunctionLabel
ColorButton * | buttonHeader
QPushButton * | buttonHeaderFont
QPushButton * | buttonItalicFont
ColorButton * | buttonKeywordColor
QLabel * | buttonKeywordLabel
QPushButton * | buttonLegendFont
QPushButton * | buttonNumbersFont
ColorButton * | buttonNumericColor
QLabel * | buttonNumericLabel
QPushButton * | buttonOk
ColorButton * | buttonQuotationColor
QLabel * | buttonQuotationLabel
ColorButton * | buttonText
QPushButton * | buttonTextFont
QPushButton * | buttonTitleFont
QLabel * | canvasHeightLabel
QSlider * | canvasOpacitySlider
QLabel * | canvasWidthLabel
QGroupBox * | colorMapBox
ColorMapEditor * | colorMapEditor
QTableWidget * | colorsList
QCheckBox * | completionBox
QWidget * | confirm
QSpinBox * | curveAlphaBox
QSlider * | curveOpacitySlider
QWidget * | curves
QGroupBox * | curvesGroupBox
QSpinBox * | curveSizeBox
QFont | d_3D_axes_font
QFont | d_3D_numbers_font
QFont | d_3D_title_font
QStringList | d_indexed_color_names
QList< QColor > | d_indexed_colors
QList< int > | d_indexed_symbols
QCheckBox * | disableAntialiasingBox
QLabel * | enableAxisLabel
QGridLayout * | enabledAxesGrid
QGroupBox * | enabledAxesGroupBox
QComboBox * | excelImportMethod
QLabel * | excelImportMethodLabel
QWidget * | fileLocationsPage
QGroupBox * | fillCurvesGroupBox
QCheckBox * | fillSymbolsBox
QWidget * | fitPage
QPushButton * | fontsBtn
QStackedWidget * | generalDialog
QSpinBox * | generatePointsBox
QRadioButton * | generatePointsBtn
QLabel * | gridAxesLbl
QLabel * | gridLineColorLbl
QLabel * | gridLineTypeLbl
QLabel * | gridLineWidthLbl
QWidget * | gridPage
QGroupBox * | groupBackgroundOptions
QGroupBox * | groupBox3DCol
QGroupBox * | groupBox3DFonts
QGroupBox * | groupBox3DGrids
QGroupBox * | groupBoxConfirm
QGroupBox * | groupBoxFitParameters
QGroupBox * | groupBoxFittingCurve
QGroupBox * | groupBoxMultiPeak
QGroupBox * | groupBoxTableCol
QGroupBox * | groupBoxTableFonts
QGroupBox * | groupIndexedColors
QGroupBox * | groupIndexedSymbols
QGroupBox * | groupSyntaxHighlighter
QFont | headerFont
QLineEdit * | helpPathLine
QListWidget * | itemsList
QLabel * | javaLabel
QLineEdit * | javaPathBox
QLabel * | jodconverterLabel
QLineEdit * | jodconverterPathBox
QCheckBox * | keepRatioBox
QLabel * | label3DGridsColor
QLabel * | label3DGridsStyle
QLabel * | label3DGridsWidth
QLabel * | labelFrameWidth
QLabel * | labelGraphAxesLabelsDist
QLabel * | labelGraphBkgColor
QLabel * | labelGraphBkgOpacity
QLabel * | labelGraphCanvasColor
QLabel * | labelGraphCanvasOpacity
QLabel * | labelGraphFrameColor
QLabel * | labelGraphFrameWidth
QLabel * | labelNotesFont
QLabel * | labelTabLength
QLabel * | labelTickLabelsDist
QLabel * | lblAppPrecision
QLabel * | lblAxesLineWidth
QLabel * | lblAxisLabeling
QLabel * | lblClipboardSeparator
QLabel * | lblCurveAlpha
QLabel * | lblCurveStyle
QLabel * | lblDecimalSeparator
QLabel * | lblEndOfLine
QLabel * | lblFloorStyle
QLabel * | lblFonts
QLabel * | lblHeaderColor
QLabel * | lblHelpPath
QLabel * | lblInitWindow
QLabel * | lblLanguage
QLabel * | lblLineStyle
QLabel * | lblLineWidth
QLabel * | lblMajTicks
QLabel * | lblMajTicksLength
QLabel * | lblMargin
QLabel * | lblMinTicks
QLabel * | lblMinTicksLength
QLabel * | lblPageHeader
QLabel * | lblPanels
QLabel * | lblPanelsText
QLabel * | lblPattern
QLabel * | lblPeaksColor
QLabel * | lblPoints
QLabel * | lblPrecision
QLabel * | lblResolution
QLabel * | lblScriptingLanguage
QLabel * | lblSeparator
QLabel * | lblStyle
QLabel * | lblSymbBox
QLabel * | lblSymbEdge
QLabel * | lblSymbSize
QLabel * | lblTableBackground
QLabel * | lblTextColor
QLabel * | lblTranslationsPath
QLabel * | lblUndoStackSize
QLabel * | lblWorkspace
QComboBox * | legendDisplayBox
QLabel * | legendDisplayLabel
QFont | legendFont
QCheckBox * | linearFit2PointsBox
QCheckBox * | lineNumbersBox
PenStyleBox * | lineStyleBox
QCheckBox * | logBox
QWidget * | notesPage
QFont | numbersFont
QWidget * | numericFormatPage
QLabel * | officeLabel
QCheckBox * | openLastProjectBox
PatternBox * | patternBox
QWidget * | plotFonts
QWidget * | plotGeometryPage
QCheckBox * | plotLabelBox
QWidget * | plotOptions
QWidget * | plotPrint
QWidget * | plots3D
QWidget * | plotSpeedPage
QTabWidget * | plotsTabWidget
QWidget * | plotTicks
QGroupBox * | proxyGroupBox
QLabel * | proxyHostLabel
QLineEdit * | proxyHostLine
QWidget * | proxyPage
QLabel * | proxyPasswordLabel
QLineEdit * | proxyPasswordLine
QSpinBox * | proxyPortBox
QLabel * | proxyPortLabel
QLabel * | proxyUserLabel
QLineEdit * | proxyUserNameLine
QRadioButton * | samePointsBtn
QCheckBox * | scaleErrorsBox
QLabel * | showNumbersLabel
QLineEdit * | sofficePathBox
SymbolBox * | symbolBox
DoubleSpinBox * | symbolEdgeBox
QGroupBox * | symbolGroupBox
QTableWidget * | symbolsList
QWidget * | tables
QLabel * | texCompilerLabel
QLineEdit * | texCompilerPathBox
QFont | textFont
QFont | titleFont
QLineEdit * | translationsPathLine
QSpinBox * | undoStackSizeBox
QComboBox * | unitBox
QLabel * | unitBoxLabel
QLabel * | xBottomLabel
QLabel * | xTopLabel
QLabel * | yLeftLabel
QLabel * | yRightLabel

## Detailed Description

Preferences dialog.

## Constructor & Destructor Documentation

## ConfigDialog()

ConfigDialog::ConfigDialog | ( | QWidget * | parent,
|  | Qt::WFlags | fl = `0`
| ) |  |

Constructor.

Parameters

  parent | parent widget (must be the application window!=
  fl | window flags

References accept(), appFont, ApplicationWindow::appFont, apply(), appTabWidget, axesFont, btnDefaultSettings, buttonApply, buttonCancel, buttonHeaderFont, buttonOk, buttonTextFont, d_3D_axes_font, ApplicationWindow::d_3D_axes_font, d_3D_numbers_font, ApplicationWindow::d_3D_numbers_font, d_3D_title_font, ApplicationWindow::d_3D_title_font, fitPage, generalDialog, headerFont, initAppPage(), initFittingPage(), initNotesPage(), initPlots3DPage(), initPlotsPage(), initTablesPage(), itemsList, languageChange(), lblPageHeader, legendFont, notesPage, numbersFont, ApplicationWindow::panelsColor, pickHeaderFont(), pickTextFont(), ApplicationWindow::plotAxesFont, ApplicationWindow::plotLegendFont, ApplicationWindow::plotNumbersFont, plots3D, plotsTabWidget, ApplicationWindow::plotTitleFont, resetDefaultSettings(), setCurrentPage(), ApplicationWindow::tableHeaderFont, tables, ApplicationWindow::tableTextFont, textFont, and titleFont.

## Member Function Documentation

## accept

void ConfigDialog::accept | ( |  | ) |

private slot

References apply().

Referenced by ConfigDialog().

## adjustCanvasHeight

void ConfigDialog::adjustCanvasHeight | ( | double | width | ) |

private slot

References aspect_ratio, boxCanvasHeight, keepRatioBox, DoubleSpinBox::setValue(), and DoubleSpinBox::value().

Referenced by initLayerGeometryPage().

## adjustCanvasWidth

void ConfigDialog::adjustCanvasWidth | ( | double | height | ) |

private slot

References aspect_ratio, boxCanvasWidth, keepRatioBox, DoubleSpinBox::setValue(), and DoubleSpinBox::value().

Referenced by initLayerGeometryPage().

## apply

void ConfigDialog::apply | ( |  | ) |

private slot

References antialiasingGroupBox, appFont, appTabWidget, attachToBox, ApplicationWindow::autoSearchUpdates, axesFont, ApplicationWindow::axesLineWidth, axesPage, axisLabelingBox, boxAppPrecision, boxAutoscale3DPlots, boxAutoscaling, boxAxesLabelsDist, boxBackbones, boxBackgroundColor, boxBackgroundTransparency, boxBackupProject, boxBorderColor, boxBorderWidth, boxCanvasColor, boxCanvasHeight, boxCanvasTransparency, boxCanvasWidth, boxClipboardLocale, boxConfirmModifyDataPoints, boxConfirmOverwrite, boxCurveLineWidth, boxDecimalSeparator, boxEmptyCellGap, boxEndLine, boxFolders, boxFrame, boxFrameWidth, boxInitWindow, boxLabelsEditing, boxLineWidth, boxMajorGrids, boxMajorGridStyle, boxMajorGridWidth, boxMajTicks, boxMajTicksLength, boxMargin, boxMatrices, boxMinorGrids, boxMinorGridStyle, boxMinorGridWidth, boxMinTicks, boxMinTicksLength, boxMinutes, boxMultiPeakMsgs, boxMuParserCLocale, boxNotes, boxOrthogonal, boxPeaksColor, boxPlots2D, boxPlots3D, boxPrecision, boxPrintCropmarks, boxProjection, boxPromptRenameTables, boxResize, boxResolution, boxSave, boxScaleFonts, boxScaleLayersOnPrint, boxScriptingLanguage, boxSearchUpdates, boxSeparator, boxShowLegend, boxSmoothMesh, boxStyle, boxSymbolSize, boxSynchronizeScales, boxTableComments, boxTablePasteDialog, boxTables, boxThousandsSeparator, boxTickLabelsDist, boxTitle, boxUpdateTableValues, btnAxes, btnBackground3D, btnGrid, btnGridMinor, btnLabels, btnMesh, btnNumbers, btnPanels, btnPanelsText, btnWorkspace, buttonBackground, buttonHeader, buttonText, ApplicationWindow::canvasFrameWidth, ApplicationWindow::changeAppFont(), ApplicationWindow::changeAppStyle(), ColorButton::color(), ColorMapEditor::colorMap(), colorMapEditor, ApplicationWindow::columnSeparator, completionBox, ApplicationWindow::confirmCloseFolder, convertToPixels(), ApplicationWindow::createLanguagesList(), curveAlphaBox, curveSizeBox, curveStyle(), ApplicationWindow::d_2_linear_fit_points, ApplicationWindow::d_3D_autoscale, ApplicationWindow::d_3D_axes_color, d_3D_axes_font, ApplicationWindow::d_3D_axes_font, ApplicationWindow::d_3D_background_color, ApplicationWindow::d_3D_color_map, ApplicationWindow::d_3D_grid_color, ApplicationWindow::d_3D_labels_color, ApplicationWindow::d_3D_legend, ApplicationWindow::d_3D_major_grids, ApplicationWindow::d_3D_major_style, ApplicationWindow::d_3D_major_width, ApplicationWindow::d_3D_mesh_color, ApplicationWindow::d_3D_minor_grid_color, ApplicationWindow::d_3D_minor_grids, ApplicationWindow::d_3D_minor_style, ApplicationWindow::d_3D_minor_width, ApplicationWindow::d_3D_numbers_color, d_3D_numbers_font, ApplicationWindow::d_3D_numbers_font, ApplicationWindow::d_3D_orthogonal, ApplicationWindow::d_3D_projection, ApplicationWindow::d_3D_resolution, ApplicationWindow::d_3D_smooth_mesh, d_3D_title_font, ApplicationWindow::d_3D_title_font, ApplicationWindow::d_backup_files, ApplicationWindow::d_confirm_modif_2D_points, ApplicationWindow::d_confirm_overwrite, ApplicationWindow::d_curve_line_style, ApplicationWindow::d_curve_max_antialising_size, ApplicationWindow::d_decimal_digits, ApplicationWindow::d_disable_curve_antialiasing, ApplicationWindow::d_eol, ApplicationWindow::d_fill_symbols, ApplicationWindow::d_graph_attach_policy, ApplicationWindow::d_graph_axes_labels_dist, ApplicationWindow::d_graph_axis_labeling, ApplicationWindow::d_graph_background_color, ApplicationWindow::d_graph_background_opacity, ApplicationWindow::d_graph_border_color, ApplicationWindow::d_graph_border_width, ApplicationWindow::d_graph_canvas_color, ApplicationWindow::d_graph_canvas_opacity, ApplicationWindow::d_graph_legend_display, ApplicationWindow::d_graph_tick_labels_dist, ApplicationWindow::d_in_place_editing, d_indexed_color_names, d_indexed_colors, d_indexed_symbols, ApplicationWindow::d_indexed_symbols, ApplicationWindow::d_inform_rename_table, ApplicationWindow::d_init_window_type, ApplicationWindow::d_keep_aspect_ration, ApplicationWindow::d_layer_canvas_height, ApplicationWindow::d_layer_canvas_width, ApplicationWindow::d_layer_geometry_unit, ApplicationWindow::d_multi_peak_messages, ApplicationWindow::d_muparser_c_locale, ApplicationWindow::d_open_last_project, ApplicationWindow::d_print_cropmarks, ApplicationWindow::d_python_config_folder, ApplicationWindow::d_scale_plots_on_print, ApplicationWindow::d_show_axes, ApplicationWindow::d_show_axes_labels, ApplicationWindow::d_show_empty_cell_gap, ApplicationWindow::d_show_table_comments, ApplicationWindow::d_show_table_paste_dialog, ApplicationWindow::d_startup_scripts_folder, ApplicationWindow::d_symbol_style, ApplicationWindow::d_synchronize_graph_scales, ApplicationWindow::d_translations_folder, ApplicationWindow::defaultCurveAlpha, ApplicationWindow::defaultCurveBrush, ApplicationWindow::defaultCurveLineWidth, ApplicationWindow::defaultCurveStyle, ApplicationWindow::defaultPlotMargin, ApplicationWindow::defaultScriptingLang, ApplicationWindow::defaultSymbolEdge, ApplicationWindow::defaultSymbolSize, disableAntialiasingBox, Graph::disableCurveAntialiasing(), ApplicationWindow::drawBackbones, ApplicationWindow::enableCompletion(), enabledAxesGrid, excelImportMethod, fileLocationsPage, fillSymbolsBox, ApplicationWindow::fit_output_precision, ApplicationWindow::fit_scale_errors, ApplicationWindow::fitPoints, generalDialog, ApplicationWindow::generatePeakCurves, generatePointsBox, generatePointsBtn, ApplicationWindow::generateUniformFitPoints, groupBoxMultiPeak, groupIndexedSymbols, headerFont, ApplicationWindow::helpFilePath, helpPathLine, insertLanguagesList(), keepRatioBox, MultiLayer::layersList(), legendDisplayBox, legendFont, linearFit2PointsBox, lineStyleBox, logBox, ApplicationWindow::majTicksLength, ApplicationWindow::majTicksStyle, ApplicationWindow::minTicksLength, ApplicationWindow::minTicksStyle, ApplicationWindow::modifiedProject(), numbersFont, numericFormatPage, openLastProjectBox, ApplicationWindow::pasteFitResultsToPlot, patternBox, ApplicationWindow::peakCurvesColor, ApplicationWindow::plotAxesFont, plotGeometryPage, plotLabelBox, ApplicationWindow::plotLegendFont, ApplicationWindow::plotNumbersFont, plotsTabWidget, ApplicationWindow::plotTitleFont, MultiLayer::printCropmarks(), proxyPage, ApplicationWindow::saveSettings(), scaleErrorsBox, ApplicationWindow::setAppColors(), setApplicationCustomProxy(), ApplicationWindow::setAutoUpdateTableValues(), Graph::setAxisTitlePolicy(), ApplicationWindow::setClipboardLocale(), ApplicationWindow::setExcelImportMethod(), ApplicationWindow::setGraphDefaultSettings(), Table::setHeaderColor(), Table::setHeaderFont(), ApplicationWindow::setIndexedColorNames(), ApplicationWindow::setIndexedColors(), ApplicationWindow::setIndexedSymbols(), ApplicationWindow::setMatrixUndoStackSize(), ApplicationWindow::setPlot3DOptions(), ApplicationWindow::setSaveSettings(), MultiLayer::setScaleLayersOnPrint(), Graph::setSynchronizedScaleDivisions(), Table::setTextFont(), Table::showComments(), symbolBox, symbolEdgeBox, ApplicationWindow::tableBkgdColor, ApplicationWindow::tableHeaderColor, ApplicationWindow::tableHeaderFont, ApplicationWindow::tableTextColor, ApplicationWindow::tableTextFont, textFont, titleFont, ApplicationWindow::titleOn, translationsPathLine, undoStackSizeBox, unitBox, ApplicationWindow::updateConfirmOptions(), updateMenuList(), validFolderPath(), DoubleSpinBox::value(), ApplicationWindow::windowsList(), and ApplicationWindow::writeFitResultsToLog.

Referenced by accept(), and ConfigDialog().

## changeColorName

void ConfigDialog::changeColorName | ( | int | row,
|  | int | col
| ) |  |

private slot

References colorsList, and d_indexed_color_names.

Referenced by initCurvesPage().

## chooseHelpFolder

void ConfigDialog::chooseHelpFolder | ( |  | ) |

private slot

References ApplicationWindow::d_python_config_folder, ApplicationWindow::d_startup_scripts_folder, ApplicationWindow::helpFilePath, helpPathLine, scripted::scriptingEnv(), and ApplicationWindow::setScriptingLanguage().

Referenced by initFileLocationsPage().

## chooseJava

void ConfigDialog::chooseJava | ( |  | ) |

private slot

References ApplicationWindow::d_java_path, ApplicationWindow::getFileName(), and javaPathBox.

Referenced by initFileLocationsPage().

## chooseJODConverter

void ConfigDialog::chooseJODConverter | ( |  | ) |

private slot

References ApplicationWindow::d_jodconverter_path, ApplicationWindow::getFileName(), and jodconverterPathBox.

Referenced by initFileLocationsPage().

## chooseOffice

void ConfigDialog::chooseOffice | ( |  | ) |

private slot

References ApplicationWindow::d_soffice_path, ApplicationWindow::getFileName(), and sofficePathBox.

Referenced by initFileLocationsPage().

## chooseTexCompiler

void ConfigDialog::chooseTexCompiler | ( |  | ) |

private slot

References ApplicationWindow::d_latex_compiler_path, ApplicationWindow::getFileName(), and texCompilerPathBox.

Referenced by initFileLocationsPage().

## chooseTranslationsFolder

void ConfigDialog::chooseTranslationsFolder | ( |  | ) |

private slot

References ApplicationWindow::createLanguagesList(), ApplicationWindow::d_translations_folder, insertLanguagesList(), and translationsPathLine.

Referenced by initFileLocationsPage().

## convertFromPixels()

double ConfigDialog::convertFromPixels | ( | int | w,
|  | FrameWidget::Unit | unit,
|  | int | dimension
| ) |  |

private

References FrameWidget::Centimeter, FrameWidget::Inch, FrameWidget::Millimeter, FrameWidget::Pixel, and FrameWidget::Point.

Referenced by moveSymbolDown(), and updateCanvasSize().

## convertToPixels()

int ConfigDialog::convertToPixels | ( | double | w,
|  | FrameWidget::Unit | unit,
|  | int | dimension
| ) |  |

private

References FrameWidget::Centimeter, FrameWidget::Inch, FrameWidget::Millimeter, FrameWidget::Pixel, and FrameWidget::Point.

Referenced by apply(), and moveSymbolDown().

## curveStyle

int ConfigDialog::curveStyle | ( |  | ) |

private slot

References Graph::Area, boxCurveStyle, Graph::HorizontalBars, Graph::HorizontalSteps, Graph::Line, Graph::LineSymbols, Graph::Scatter, Graph::Spline, Graph::VerticalBars, Graph::VerticalDropLines, and Graph::VerticalSteps.

Referenced by apply().

## customizeNotes

void ConfigDialog::customizeNotes | ( |  | ) |

private slot

References boxFontFamily, boxFontSize, boxTabLength, buttonBoldFont, buttonItalicFont, ApplicationWindow::d_note_line_numbers, ApplicationWindow::d_notes_font, ApplicationWindow::d_notes_tab_length, generalDialog, lineNumbersBox, notesPage, Note::setFont(), ApplicationWindow::setFormatBarFont(), Note::setTabStopWidth(), Note::showLineNumbers(), and ApplicationWindow::windowsList().

Referenced by initNotesPage().

## enableCurveAntialiasingSizeBox()

void ConfigDialog::enableCurveAntialiasingSizeBox | ( | bool | on | ) |

private

References curveSizeBox, and disableAntialiasingBox.

Referenced by initLayerSpeedPage(), and moveSymbolDown().

## enableMajorGrids

void ConfigDialog::enableMajorGrids | ( | bool | on | ) |

private slot

References boxMajorGridStyle, boxMajorGridWidth, and btnGrid.

Referenced by initPlots3DPage(), and setApplication().

## enableMinorGrids

void ConfigDialog::enableMinorGrids | ( | bool | on | ) |

private slot

References boxMinorGridStyle, boxMinorGridWidth, and btnGridMinor.

Referenced by initPlots3DPage(), and setApplication().

## initAppPage()

void ConfigDialog::initAppPage | ( |  | ) |

private

References appColors, application, ApplicationWindow::appStyle, appTabWidget, ApplicationWindow::autoSave, ApplicationWindow::autoSaveTime, ApplicationWindow::autoSearchUpdates, boxAppPrecision, boxBackupProject, boxClipboardLocale, boxDecimalSeparator, boxEndLine, boxInitWindow, boxLanguage, boxMinutes, boxMuParserCLocale, boxSave, boxScriptingLanguage, boxSearchUpdates, boxStyle, boxThousandsSeparator, btnPanels, btnPanelsText, btnWorkspace, completionBox, confirm, ApplicationWindow::d_backup_files, ApplicationWindow::d_completion, ApplicationWindow::d_decimal_digits, ApplicationWindow::d_muparser_c_locale, ApplicationWindow::d_open_last_project, ApplicationWindow::defaultScriptingLang, excelImportMethod, excelImportMethodLabel, fontsBtn, generalDialog, initConfirmationsPage(), initFileLocationsPage(), initProxyPage(), insertLanguagesList(), ScriptingLangManager::languages(), lblAppPrecision, lblClipboardSeparator, lblDecimalSeparator, lblEndOfLine, lblFonts, lblInitWindow, lblLanguage, lblPanels, lblPanelsText, lblScriptingLanguage, lblStyle, lblUndoStackSize, lblWorkspace, ApplicationWindow::matrixUndoStackSize(), numericFormatPage, openLastProjectBox, ApplicationWindow::panelsColor, ApplicationWindow::panelsTextColor, pickApplicationFont(), ColorButton::setColor(), switchToLanguage(), undoStackSizeBox, and ApplicationWindow::workspaceColor.

Referenced by ConfigDialog(), and moveSymbolDown().

## initAxesPage()

void ConfigDialog::initAxesPage | ( |  | ) |

private

References ApplicationWindow::axesLineWidth, axesPage, boxAxesLabelsDist, boxBackbones, boxLineWidth, boxSynchronizeScales, boxTickLabelsDist, ApplicationWindow::d_graph_axes_labels_dist, ApplicationWindow::d_graph_tick_labels_dist, ApplicationWindow::d_show_axes, ApplicationWindow::d_show_axes_labels, ApplicationWindow::d_synchronize_graph_scales, ApplicationWindow::drawBackbones, enableAxisLabel, enabledAxesGrid, enabledAxesGroupBox, labelGraphAxesLabelsDist, labelTickLabelsDist, lblAxesLineWidth, showNumbersLabel, xBottomLabel, xTopLabel, yLeftLabel, and yRightLabel.

Referenced by initPlotsPage(), and moveSymbolDown().

## initConfirmationsPage()

void ConfigDialog::initConfirmationsPage | ( |  | ) |

private

References boxConfirmModifyDataPoints, boxConfirmOverwrite, boxFolders, boxMatrices, boxNotes, boxPlots2D, boxPlots3D, boxPromptRenameTables, boxTablePasteDialog, boxTables, confirm, ApplicationWindow::confirmCloseFolder, ApplicationWindow::confirmCloseMatrix, ApplicationWindow::confirmCloseNotes, ApplicationWindow::confirmClosePlot2D, ApplicationWindow::confirmClosePlot3D, ApplicationWindow::confirmCloseTable, ApplicationWindow::d_confirm_modif_2D_points, ApplicationWindow::d_confirm_overwrite, ApplicationWindow::d_inform_rename_table, ApplicationWindow::d_show_table_paste_dialog, and groupBoxConfirm.

Referenced by initAppPage(), and moveSymbolDown().

## initCurvesPage()

void ConfigDialog::initCurvesPage | ( |  | ) |

private

References boxCurveLineWidth, boxCurveStyle, boxSymbolSize, btnColorDown, btnColorUp, btnLoadDefaultColors, btnLoadDefaultSymbols, btnNewColor, btnRemoveColor, btnSymbolDown, btnSymbolUp, changeColorName(), colorsList, curveAlphaBox, curveOpacitySlider, curves, curvesGroupBox, ApplicationWindow::d_curve_line_style, ApplicationWindow::d_fill_symbols, d_indexed_color_names, d_indexed_colors, d_indexed_symbols, ApplicationWindow::d_indexed_symbols, ApplicationWindow::d_symbol_style, ApplicationWindow::defaultCurveAlpha, ApplicationWindow::defaultCurveBrush, ApplicationWindow::defaultCurveLineWidth, ApplicationWindow::defaultSymbolEdge, ApplicationWindow::defaultSymbolSize, fillCurvesGroupBox, fillSymbolsBox, groupIndexedColors, groupIndexedSymbols, ApplicationWindow::indexedColorNames(), ApplicationWindow::indexedColors(), ApplicationWindow::indexedSymbols(), lblCurveAlpha, lblCurveStyle, lblLineStyle, lblLineWidth, lblPattern, lblSymbBox, lblSymbEdge, lblSymbSize, lineStyleBox, loadDefaultColors(), loadDefaultSymbols(), moveColor(), moveColorDown(), moveSymbol(), moveSymbolDown(), newColor(), patternBox, removeColor(), setColorsList(), DoubleSpinBox::setRange(), DoubleSpinBox::setSingleStep(), setSymbolsList(), DoubleSpinBox::setValue(), showColorDialog(), symbolBox, symbolEdgeBox, symbolGroupBox, and symbolsList.

Referenced by initPlotsPage(), and moveSymbolDown().

## initFileLocationsPage()

void ConfigDialog::initFileLocationsPage | ( |  | ) |

private

References appTabWidget, boxScriptingLanguage, browseJavaBtn, browseJODConverterBtn, browseOfficeBtn, browseTexCompilerBtn, chooseHelpFolder(), chooseJava(), chooseJODConverter(), chooseOffice(), chooseTexCompiler(), chooseTranslationsFolder(), ApplicationWindow::d_java_path, ApplicationWindow::d_jodconverter_path, ApplicationWindow::d_latex_compiler_path, ApplicationWindow::d_python_config_folder, ApplicationWindow::d_soffice_path, ApplicationWindow::d_startup_scripts_folder, ApplicationWindow::d_translations_folder, ApplicationWindow::defaultScriptingLang, fileLocationsPage, ApplicationWindow::helpFilePath, helpPathLine, javaLabel, javaPathBox, jodconverterLabel, jodconverterPathBox, lblHelpPath, lblTranslationsPath, officeLabel, sofficePathBox, texCompilerLabel, texCompilerPathBox, translationsPathLine, validateJava(), validateJODConverter(), validateOffice(), and validateTexCompiler().

Referenced by initAppPage(), and moveSymbolDown().

## initFittingPage()

void ConfigDialog::initFittingPage | ( |  | ) |

private

References boxMultiPeakMsgs, boxPeaksColor, boxPrecision, ApplicationWindow::d_2_linear_fit_points, ApplicationWindow::d_multi_peak_messages, ApplicationWindow::fit_output_precision, ApplicationWindow::fit_scale_errors, fitPage, ApplicationWindow::fitPoints, ApplicationWindow::generatePeakCurves, generatePointsBox, generatePointsBtn, ApplicationWindow::generateUniformFitPoints, groupBoxFitParameters, groupBoxFittingCurve, groupBoxMultiPeak, lblPeaksColor, lblPoints, lblPrecision, linearFit2PointsBox, logBox, ApplicationWindow::pasteFitResultsToPlot, ApplicationWindow::peakCurvesColor, plotLabelBox, samePointsBtn, scaleErrorsBox, ColorButton::setColor(), showPointsBox(), and ApplicationWindow::writeFitResultsToLog.

Referenced by ConfigDialog(), and moveSymbolDown().

## initGridPage()

void ConfigDialog::initGridPage | ( |  | ) |

private

References axesGridList, boxAntialiseGrid, boxColorMajor, boxColorMinor, boxGridXAxis, boxGridYAxis, boxMajorGrid, boxMinorGrid, boxTypeMajor, boxTypeMinor, boxWidthMajor, boxWidthMinor, gridAxesLbl, gridLineColorLbl, gridLineTypeLbl, gridLineWidthLbl, gridPage, majorGridEnabled(), minorGridEnabled(), DoubleSpinBox::setRange(), DoubleSpinBox::setSingleStep(), DoubleSpinBox::setValue(), showGridOptions(), and updateGrid().

Referenced by initPlotsPage(), and moveSymbolDown().

## initLayerGeometryPage()

void ConfigDialog::initLayerGeometryPage | ( |  | ) |

private

References adjustCanvasHeight(), adjustCanvasWidth(), boxCanvasHeight, boxCanvasWidth, canvasHeightLabel, canvasWidthLabel, ApplicationWindow::d_keep_aspect_ration, ApplicationWindow::d_layer_geometry_unit, keepRatioBox, plotGeometryPage, DoubleSpinBox::setDecimals(), DoubleSpinBox::setRange(), unitBox, unitBoxLabel, and updateCanvasSize().

Referenced by initPlotsPage(), and moveSymbolDown().

## initLayerSpeedPage()

void ConfigDialog::initLayerSpeedPage | ( |  | ) |

private

References ApplicationWindow::antialiasing2DPlots, antialiasingGroupBox, curveSizeBox, ApplicationWindow::d_curve_max_antialising_size, ApplicationWindow::d_disable_curve_antialiasing, disableAntialiasingBox, enableCurveAntialiasingSizeBox(), and plotSpeedPage.

Referenced by initPlotsPage(), and moveSymbolDown().

## initNotesPage()

void ConfigDialog::initNotesPage | ( |  | ) |

private

References boxFontFamily, boxFontSize, boxTabLength, buttonBoldFont, buttonClassColor, buttonClassLabel, buttonCommentColor, buttonCommentLabel, buttonFunctionColor, buttonFunctionLabel, buttonItalicFont, buttonKeywordColor, buttonKeywordLabel, buttonNumericColor, buttonNumericLabel, buttonQuotationColor, buttonQuotationLabel, customizeNotes(), ApplicationWindow::d_class_highlight_color, ApplicationWindow::d_comment_highlight_color, ApplicationWindow::d_function_highlight_color, ApplicationWindow::d_keyword_highlight_color, ApplicationWindow::d_note_line_numbers, ApplicationWindow::d_notes_font, ApplicationWindow::d_notes_tab_length, ApplicationWindow::d_numeric_highlight_color, ApplicationWindow::d_quotation_highlight_color, groupSyntaxHighlighter, labelNotesFont, labelTabLength, lineNumbersBox, notesPage, rehighlight(), and ColorButton::setColor().

Referenced by ConfigDialog(), and moveSymbolDown().

## initPlots3DPage()

void ConfigDialog::initPlots3DPage | ( |  | ) |

private

References boxAutoscale3DPlots, boxMajorGrids, boxMajorGridStyle, boxMajorGridWidth, boxMinorGrids, boxMinorGridStyle, boxMinorGridWidth, boxOrthogonal, boxProjection, boxResolution, boxShowLegend, boxSmoothMesh, btnAxes, btnBackground3D, btnGrid, btnGridMinor, btnLabels, btnLabelsFnt, btnMesh, btnNumbers, btnNumFnt, btnTitleFnt, colorMapBox, colorMapEditor, ApplicationWindow::d_3D_autoscale, ApplicationWindow::d_3D_axes_color, ApplicationWindow::d_3D_background_color, ApplicationWindow::d_3D_color_map, ApplicationWindow::d_3D_grid_color, ApplicationWindow::d_3D_labels_color, ApplicationWindow::d_3D_legend, ApplicationWindow::d_3D_major_grids, ApplicationWindow::d_3D_major_width, ApplicationWindow::d_3D_mesh_color, ApplicationWindow::d_3D_minor_grid_color, ApplicationWindow::d_3D_minor_grids, ApplicationWindow::d_3D_minor_width, ApplicationWindow::d_3D_numbers_color, ApplicationWindow::d_3D_orthogonal, ApplicationWindow::d_3D_projection, ApplicationWindow::d_3D_resolution, ApplicationWindow::d_3D_smooth_mesh, enableMajorGrids(), enableMinorGrids(), groupBox3DCol, groupBox3DFonts, groupBox3DGrids, label3DGridsColor, label3DGridsStyle, label3DGridsWidth, lblFloorStyle, lblResolution, pick3DAxesFont(), pick3DNumbersFont(), pick3DTitleFont(), plots3D, ColorButton::setColor(), ColorMapEditor::setColorMap(), DoubleSpinBox::setMinimum(), and DoubleSpinBox::setValue().

Referenced by ConfigDialog(), and moveSymbolDown().

## initPlotsPage()

void ConfigDialog::initPlotsPage | ( |  | ) |

private

References attachToBox, attachToLabel, ApplicationWindow::autoResizeLayers, ApplicationWindow::autoscale2DPlots, ApplicationWindow::autoScaleFonts, axesPage, axisLabelingBox, bkgOpacitySlider, boxAutoscaling, boxBackgroundColor, boxBackgroundTransparency, boxBorderColor, boxBorderWidth, boxCanvasColor, boxCanvasTransparency, boxEmptyCellGap, boxFrame, boxFrameWidth, boxLabelsEditing, boxMajTicks, boxMajTicksLength, boxMargin, boxMinTicks, boxMinTicksLength, boxPrintCropmarks, boxResize, boxScaleFonts, boxScaleLayersOnPrint, boxTitle, buttonAxesFont, buttonLegendFont, buttonNumbersFont, buttonTitleFont, ApplicationWindow::canvasFrameWidth, canvasOpacitySlider, curves, ApplicationWindow::d_graph_background_color, ApplicationWindow::d_graph_background_opacity, ApplicationWindow::d_graph_border_color, ApplicationWindow::d_graph_border_width, ApplicationWindow::d_graph_canvas_color, ApplicationWindow::d_graph_canvas_opacity, ApplicationWindow::d_in_place_editing, ApplicationWindow::d_print_cropmarks, ApplicationWindow::d_scale_plots_on_print, ApplicationWindow::d_show_empty_cell_gap, ApplicationWindow::defaultPlotMargin, gridPage, groupBackgroundOptions, initAxesPage(), initCurvesPage(), initGridPage(), initLayerGeometryPage(), initLayerSpeedPage(), labelFrameWidth, labelGraphBkgColor, labelGraphBkgOpacity, labelGraphCanvasColor, labelGraphCanvasOpacity, labelGraphFrameColor, labelGraphFrameWidth, lblAxisLabeling, lblMajTicks, lblMajTicksLength, lblMargin, lblMinTicks, lblMinTicksLength, legendDisplayBox, legendDisplayLabel, ApplicationWindow::majTicksLength, ApplicationWindow::minTicksLength, pickAxesFont(), pickLegendFont(), pickNumbersFont(), pickTitleFont(), plotFonts, plotGeometryPage, plotOptions, plotPrint, plotSpeedPage, plotsTabWidget, plotTicks, ColorButton::setColor(), showFrameWidth(), and ApplicationWindow::titleOn.

Referenced by ConfigDialog(), and moveSymbolDown().

## initProxyPage()

void ConfigDialog::initProxyPage | ( |  | ) |

private

References appTabWidget, proxyGroupBox, proxyHostLabel, proxyHostLine, proxyPage, proxyPasswordLabel, proxyPasswordLine, proxyPortBox, proxyPortLabel, proxyUserLabel, and proxyUserNameLine.

Referenced by initAppPage(), and moveSymbolDown().

## initTablesPage()

void ConfigDialog::initTablesPage | ( |  | ) |

private

References ApplicationWindow::autoUpdateTableValues(), boxSeparator, boxTableComments, boxUpdateTableValues, buttonBackground, buttonHeader, buttonHeaderFont, buttonText, buttonTextFont, ApplicationWindow::d_show_table_comments, groupBoxTableCol, groupBoxTableFonts, lblHeaderColor, lblSeparator, lblTableBackground, lblTextColor, ColorButton::setColor(), ApplicationWindow::tableBkgdColor, ApplicationWindow::tableHeaderColor, tables, and ApplicationWindow::tableTextColor.

Referenced by ConfigDialog(), and moveSymbolDown().

## insertLanguagesList

void ConfigDialog::insertLanguagesList | ( |  | ) |

private slot

References ApplicationWindow::appLanguage, boxLanguage, ApplicationWindow::d_translations_folder, and ApplicationWindow::locales.

Referenced by apply(), chooseTranslationsFolder(), and initAppPage().

## languageChange

void ConfigDialog::languageChange | ( |  | ) |

private virtual slot

References antialiasingGroupBox, appColors, application, appTabWidget, Graph::Area, attachToBox, attachToLabel, axesGridList, axesPage, axisLabelingBox, boxAntialiseGrid, boxAutoscale3DPlots, boxAutoscaling, boxAxesLabelsDist, boxBackbones, boxBackgroundTransparency, boxBackupProject, boxCanvasTransparency, boxClipboardLocale, boxConfirmModifyDataPoints, boxConfirmOverwrite, boxCurveStyle, boxDecimalSeparator, boxEmptyCellGap, boxEndLine, boxFolders, boxFrame, boxGridXAxis, boxGridYAxis, boxInitWindow, boxLabelsEditing, boxMajorGrid, boxMajorGrids, boxMajorGridStyle, boxMajTicks, boxMatrices, boxMinorGrid, boxMinorGrids, boxMinorGridStyle, boxMinTicks, boxMinutes, boxMultiPeakMsgs, boxMuParserCLocale, boxNotes, boxOrthogonal, boxPlots2D, boxPlots3D, boxPrintCropmarks, boxProjection, boxPromptRenameTables, boxResize, boxResolution, boxSave, boxScaleFonts, boxScaleLayersOnPrint, boxSearchUpdates, boxSeparator, boxShowLegend, boxSmoothMesh, boxSynchronizeScales, boxTableComments, boxTablePasteDialog, boxTables, boxThousandsSeparator, boxTickLabelsDist, boxTitle, boxUpdateTableValues, btnAxes, btnBackground3D, btnColorDown, btnColorUp, btnDefaultSettings, btnGrid, btnLabels, btnLabelsFnt, btnLoadDefaultColors, btnLoadDefaultSymbols, btnMesh, btnNewColor, btnNumbers, btnNumFnt, btnRemoveColor, btnSymbolDown, btnSymbolUp, btnTitleFnt, buttonApply, buttonAxesFont, buttonCancel, buttonClassLabel, buttonCommentLabel, buttonFunctionLabel, buttonHeaderFont, buttonKeywordLabel, buttonLegendFont, buttonNumbersFont, buttonNumericLabel, buttonOk, buttonQuotationLabel, buttonTextFont, buttonTitleFont, canvasHeightLabel, canvasWidthLabel, ApplicationWindow::clipboardLocale(), colorMapBox, colorsList, ApplicationWindow::columnSeparator, completionBox, confirm, curveAlphaBox, curves, curvesGroupBox, curveSizeBox, ApplicationWindow::d_3D_major_style, ApplicationWindow::d_3D_minor_style, ApplicationWindow::d_3D_projection, ApplicationWindow::d_eol, ApplicationWindow::d_graph_attach_policy, ApplicationWindow::d_graph_axis_labeling, ApplicationWindow::d_graph_legend_display, ApplicationWindow::d_init_window_type, ApplicationWindow::d_layer_geometry_unit, ApplicationWindow::defaultCurveStyle, disableAntialiasingBox, enableAxisLabel, enabledAxesGroupBox, ApplicationWindow::excelImportMethod(), excelImportMethod, excelImportMethodLabel, fileLocationsPage, fillCurvesGroupBox, fillSymbolsBox, fontsBtn, generatePointsBtn, gridAxesLbl, gridLineColorLbl, gridLineTypeLbl, gridLineWidthLbl, gridPage, groupBackgroundOptions, groupBox3DCol, groupBox3DFonts, groupBox3DGrids, groupBoxConfirm, groupBoxFitParameters, groupBoxFittingCurve, groupBoxMultiPeak, groupBoxTableCol, groupBoxTableFonts, groupIndexedColors, groupIndexedSymbols, groupSyntaxHighlighter, Graph::HorizontalBars, Graph::HorizontalSteps, itemsList, javaLabel, jodconverterLabel, keepRatioBox, label3DGridsColor, label3DGridsStyle, label3DGridsWidth, labelFrameWidth, labelGraphAxesLabelsDist, labelGraphBkgColor, labelGraphBkgOpacity, labelGraphCanvasColor, labelGraphCanvasOpacity, labelGraphFrameColor, labelGraphFrameWidth, labelNotesFont, labelTabLength, labelTickLabelsDist, lblAppPrecision, lblAxesLineWidth, lblAxisLabeling, lblClipboardSeparator, lblCurveAlpha, lblCurveStyle, lblDecimalSeparator, lblEndOfLine, lblFloorStyle, lblFonts, lblHeaderColor, lblHelpPath, lblInitWindow, lblLanguage, lblLineStyle, lblLineWidth, lblMajTicks, lblMajTicksLength, lblMargin, lblMinTicks, lblMinTicksLength, lblPanels, lblPanelsText, lblPattern, lblPeaksColor, lblPoints, lblPrecision, lblResolution, lblScriptingLanguage, lblSeparator, lblStyle, lblSymbBox, lblSymbEdge, lblSymbSize, lblTableBackground, lblTextColor, lblTranslationsPath, lblUndoStackSize, lblWorkspace, legendDisplayBox, legendDisplayLabel, Graph::Line, linearFit2PointsBox, lineNumbersBox, Graph::LineSymbols, logBox, ApplicationWindow::majTicksStyle, ApplicationWindow::minTicksStyle, numericFormatPage, officeLabel, openLastProjectBox, plotFonts, plotGeometryPage, plotLabelBox, plotOptions, plotPrint, plotSpeedPage, plotsTabWidget, plotTicks, proxyGroupBox, proxyHostLabel, proxyPage, proxyPasswordLabel, proxyPortLabel, proxyUserLabel, samePointsBtn, scaleErrorsBox, Graph::Scatter, setColumnSeparator(), showNumbersLabel, Graph::Spline, symbolGroupBox, symbolsList, texCompilerLabel, unitBox, unitBoxLabel, updateMenuList(), Graph::VerticalBars, Graph::VerticalDropLines, Graph::VerticalSteps, xBottomLabel, xTopLabel, yLeftLabel, and yRightLabel.

Referenced by ConfigDialog(), setApplication(), and switchToLanguage().

## loadDefaultColors

void ConfigDialog::loadDefaultColors | ( |  | ) |

private slot

References colorsList, d_indexed_color_names, d_indexed_colors, ColorBox::defaultColorNames(), ColorBox::defaultColors(), and setColorsList().

Referenced by initCurvesPage().

## loadDefaultSymbols

void ConfigDialog::loadDefaultSymbols | ( |  | ) |

private slot

References d_indexed_symbols, SymbolBox::defaultSymbols(), and setSymbolsList().

Referenced by initCurvesPage().

## majorGridEnabled()

void ConfigDialog::majorGridEnabled | ( | bool | on | ) |

private

References boxColorMajor, boxTypeMajor, boxWidthMajor, and updateGrid().

Referenced by initGridPage(), and moveSymbolDown().

## minorGridEnabled()

void ConfigDialog::minorGridEnabled | ( | bool | on | ) |

private

References boxColorMinor, boxTypeMinor, boxWidthMinor, and updateGrid().

Referenced by initGridPage(), and moveSymbolDown().

## moveColor

void ConfigDialog::moveColor | ( | bool | up = `true` | ) |

private slot

References colorsList, d_indexed_color_names, d_indexed_colors, and setColorsList().

Referenced by initCurvesPage(), and moveColorDown().

## moveColorDown

void ConfigDialog::moveColorDown | ( |  | ) |

private slot

References moveColor().

Referenced by initCurvesPage().

## moveSymbol

void ConfigDialog::moveSymbol | ( | bool | up = `true` | ) |

private slot

References d_indexed_symbols, setSymbolsList(), and symbolsList.

Referenced by initCurvesPage(), and moveSymbolDown().

## moveSymbolDown

void ConfigDialog::moveSymbolDown | ( |  | ) |

inline private slot

References convertFromPixels(), convertToPixels(), enableCurveAntialiasingSizeBox(), initAppPage(), initAxesPage(), initConfirmationsPage(), initCurvesPage(), initFileLocationsPage(), initFittingPage(), initGridPage(), initLayerGeometryPage(), initLayerSpeedPage(), initNotesPage(), initPlots3DPage(), initPlotsPage(), initProxyPage(), initTablesPage(), majorGridEnabled(), minorGridEnabled(), moveSymbol(), setApplication(), setApplicationCustomProxy(), setColorsList(), setSymbolsList(), showGridOptions(), updateGrid(), updateMenuList(), and validFolderPath().

Referenced by initCurvesPage().

## newColor

void ConfigDialog::newColor | ( |  | ) |

private slot

References colorsList, d_indexed_color_names, d_indexed_colors, setColorsList(), and showColorDialog().

Referenced by initCurvesPage().

## pick3DAxesFont

void ConfigDialog::pick3DAxesFont | ( |  | ) |

private slot

References d_3D_axes_font.

Referenced by initPlots3DPage().

## pick3DNumbersFont

void ConfigDialog::pick3DNumbersFont | ( |  | ) |

private slot

References d_3D_numbers_font.

Referenced by initPlots3DPage().

## pick3DTitleFont

void ConfigDialog::pick3DTitleFont | ( |  | ) |

private slot

References d_3D_title_font.

Referenced by initPlots3DPage().

## pickApplicationFont

void ConfigDialog::pickApplicationFont | ( |  | ) |

private slot

References appFont.

Referenced by initAppPage().

## pickAxesFont

void ConfigDialog::pickAxesFont | ( |  | ) |

private slot

References axesFont.

Referenced by initPlotsPage().

## pickHeaderFont

void ConfigDialog::pickHeaderFont | ( |  | ) |

private slot

References headerFont.

Referenced by ConfigDialog().

## pickLegendFont

void ConfigDialog::pickLegendFont | ( |  | ) |

private slot

References legendFont.

Referenced by initPlotsPage().

## pickNumbersFont

void ConfigDialog::pickNumbersFont | ( |  | ) |

private slot

References numbersFont.

Referenced by initPlotsPage().

## pickTextFont

void ConfigDialog::pickTextFont | ( |  | ) |

private slot

References textFont.

Referenced by ConfigDialog().

## pickTitleFont

void ConfigDialog::pickTitleFont | ( |  | ) |

private slot

References titleFont.

Referenced by initPlotsPage().

## rehighlight

void ConfigDialog::rehighlight | ( |  | ) |

private slot

References buttonClassColor, buttonCommentColor, buttonFunctionColor, buttonKeywordColor, buttonNumericColor, buttonQuotationColor, ColorButton::color(), ApplicationWindow::d_class_highlight_color, ApplicationWindow::d_comment_highlight_color, ApplicationWindow::d_function_highlight_color, ApplicationWindow::d_keyword_highlight_color, ApplicationWindow::d_numeric_highlight_color, ApplicationWindow::d_quotation_highlight_color, Note::editor(), generalDialog, notesPage, ScriptEdit::rehighlight(), Note::tabs(), and ApplicationWindow::windowsList().

Referenced by initNotesPage().

## removeColor

void ConfigDialog::removeColor | ( |  | ) |

private slot

References colorsList, d_indexed_color_names, d_indexed_colors, and setColorsList().

Referenced by initCurvesPage().

## resetDefaultSettings

void ConfigDialog::resetDefaultSettings | ( |  | ) |

private slot

References setApplication(), and ApplicationWindow::setDefaultOptions().

Referenced by ConfigDialog().

## setApplication()

void ConfigDialog::setApplication | ( | ApplicationWindow * | app | ) |

private

References ApplicationWindow::antialiasing2DPlots, antialiasingGroupBox, appFont, ApplicationWindow::appFont, ApplicationWindow::appStyle, attachToBox, ApplicationWindow::autoResizeLayers, ApplicationWindow::autoSave, ApplicationWindow::autoSaveTime, ApplicationWindow::autoscale2DPlots, ApplicationWindow::autoScaleFonts, ApplicationWindow::autoSearchUpdates, ApplicationWindow::autoUpdateTableValues(), axesFont, ApplicationWindow::axesLineWidth, bkgOpacitySlider, boxAppPrecision, boxAutoscale3DPlots, boxAutoscaling, boxAxesLabelsDist, boxBackbones, boxBackgroundColor, boxBackgroundTransparency, boxBackupProject, boxBorderColor, boxBorderWidth, boxCanvasColor, boxCanvasTransparency, boxConfirmModifyDataPoints, boxConfirmOverwrite, boxCurveLineWidth, boxEmptyCellGap, boxEndLine, boxFolders, boxFontFamily, boxFontSize, boxFrame, boxFrameWidth, boxInitWindow, boxLabelsEditing, boxLineWidth, boxMajorGrids, boxMajorGridWidth, boxMajTicksLength, boxMargin, boxMatrices, boxMinorGrids, boxMinorGridWidth, boxMinTicksLength, boxMinutes, boxMultiPeakMsgs, boxMuParserCLocale, boxNotes, boxOrthogonal, boxPeaksColor, boxPlots2D, boxPlots3D, boxPrecision, boxPrintCropmarks, boxProjection, boxPromptRenameTables, boxResize, boxResolution, boxSave, boxScaleFonts, boxScaleLayersOnPrint, boxScriptingLanguage, boxSearchUpdates, boxShowLegend, boxSmoothMesh, boxStyle, boxSymbolSize, boxSynchronizeScales, boxTableComments, boxTabLength, boxTablePasteDialog, boxTables, boxThousandsSeparator, boxTickLabelsDist, boxTitle, boxUpdateTableValues, btnAxes, btnBackground3D, btnGrid, btnGridMinor, btnLabels, btnMesh, btnNumbers, btnPanels, btnPanelsText, btnWorkspace, buttonBackground, buttonBoldFont, buttonClassColor, buttonCommentColor, buttonFunctionColor, buttonHeader, buttonItalicFont, buttonKeywordColor, buttonNumericColor, buttonQuotationColor, buttonText, ApplicationWindow::canvasFrameWidth, canvasOpacitySlider, colorMapEditor, completionBox, ApplicationWindow::confirmCloseFolder, ApplicationWindow::confirmCloseMatrix, ApplicationWindow::confirmCloseNotes, ApplicationWindow::confirmClosePlot2D, ApplicationWindow::confirmClosePlot3D, ApplicationWindow::confirmCloseTable, curveAlphaBox, curveSizeBox, ApplicationWindow::d_2_linear_fit_points, ApplicationWindow::d_3D_autoscale, ApplicationWindow::d_3D_axes_color, d_3D_axes_font, ApplicationWindow::d_3D_axes_font, ApplicationWindow::d_3D_background_color, ApplicationWindow::d_3D_color_map, ApplicationWindow::d_3D_grid_color, ApplicationWindow::d_3D_labels_color, ApplicationWindow::d_3D_legend, ApplicationWindow::d_3D_major_grids, ApplicationWindow::d_3D_major_width, ApplicationWindow::d_3D_mesh_color, ApplicationWindow::d_3D_minor_grid_color, ApplicationWindow::d_3D_minor_grids, ApplicationWindow::d_3D_minor_width, ApplicationWindow::d_3D_numbers_color, d_3D_numbers_font, ApplicationWindow::d_3D_numbers_font, ApplicationWindow::d_3D_orthogonal, ApplicationWindow::d_3D_projection, ApplicationWindow::d_3D_resolution, ApplicationWindow::d_3D_smooth_mesh, d_3D_title_font, ApplicationWindow::d_3D_title_font, ApplicationWindow::d_backup_files, ApplicationWindow::d_class_highlight_color, ApplicationWindow::d_comment_highlight_color, ApplicationWindow::d_completion, ApplicationWindow::d_confirm_modif_2D_points, ApplicationWindow::d_confirm_overwrite, ApplicationWindow::d_curve_line_style, ApplicationWindow::d_curve_max_antialising_size, ApplicationWindow::d_decimal_digits, ApplicationWindow::d_disable_curve_antialiasing, ApplicationWindow::d_eol, ApplicationWindow::d_fill_symbols, ApplicationWindow::d_function_highlight_color, ApplicationWindow::d_graph_attach_policy, ApplicationWindow::d_graph_axes_labels_dist, ApplicationWindow::d_graph_background_color, ApplicationWindow::d_graph_background_opacity, ApplicationWindow::d_graph_border_color, ApplicationWindow::d_graph_border_width, ApplicationWindow::d_graph_canvas_color, ApplicationWindow::d_graph_canvas_opacity, ApplicationWindow::d_graph_legend_display, ApplicationWindow::d_graph_tick_labels_dist, ApplicationWindow::d_in_place_editing, d_indexed_color_names, d_indexed_colors, d_indexed_symbols, ApplicationWindow::d_indexed_symbols, ApplicationWindow::d_inform_rename_table, ApplicationWindow::d_init_window_type, ApplicationWindow::d_java_path, ApplicationWindow::d_jodconverter_path, ApplicationWindow::d_keep_aspect_ration, ApplicationWindow::d_keyword_highlight_color, ApplicationWindow::d_latex_compiler_path, ApplicationWindow::d_layer_geometry_unit, ApplicationWindow::d_multi_peak_messages, ApplicationWindow::d_muparser_c_locale, ApplicationWindow::d_note_line_numbers, ApplicationWindow::d_notes_font, ApplicationWindow::d_notes_tab_length, ApplicationWindow::d_numeric_highlight_color, ApplicationWindow::d_open_last_project, ApplicationWindow::d_print_cropmarks, ApplicationWindow::d_python_config_folder, ApplicationWindow::d_quotation_highlight_color, ApplicationWindow::d_scale_plots_on_print, ApplicationWindow::d_show_axes, ApplicationWindow::d_show_axes_labels, ApplicationWindow::d_show_empty_cell_gap, ApplicationWindow::d_show_table_comments, ApplicationWindow::d_show_table_paste_dialog, ApplicationWindow::d_soffice_path, ApplicationWindow::d_startup_scripts_folder, ApplicationWindow::d_symbol_style, ApplicationWindow::d_synchronize_graph_scales, ApplicationWindow::d_translations_folder, ApplicationWindow::defaultCurveAlpha, ApplicationWindow::defaultCurveBrush, ApplicationWindow::defaultCurveLineWidth, ApplicationWindow::defaultPlotMargin, ApplicationWindow::defaultScriptingLang, ApplicationWindow::defaultSymbolEdge, ApplicationWindow::defaultSymbolSize, disableAntialiasingBox, ApplicationWindow::drawBackbones, enabledAxesGrid, enableMajorGrids(), enableMinorGrids(), ApplicationWindow::excelImportMethod(), excelImportMethod, fillSymbolsBox, ApplicationWindow::fit_output_precision, ApplicationWindow::fit_scale_errors, ApplicationWindow::fitPoints, ApplicationWindow::generatePeakCurves, generatePointsBox, generatePointsBtn, ApplicationWindow::generateUniformFitPoints, groupBoxMultiPeak, groupIndexedSymbols, headerFont, ApplicationWindow::helpFilePath, helpPathLine, ApplicationWindow::indexedColorNames(), ApplicationWindow::indexedColors(), ApplicationWindow::indexedSymbols(), javaPathBox, jodconverterPathBox, keepRatioBox, labelFrameWidth, languageChange(), ScriptingLangManager::languages(), legendDisplayBox, legendFont, linearFit2PointsBox, lineNumbersBox, lineStyleBox, logBox, ApplicationWindow::majTicksLength, ApplicationWindow::matrixUndoStackSize(), ApplicationWindow::minTicksLength, numbersFont, openLastProjectBox, ApplicationWindow::panelsColor, ApplicationWindow::panelsTextColor, ApplicationWindow::pasteFitResultsToPlot, patternBox, ApplicationWindow::peakCurvesColor, ApplicationWindow::plotAxesFont, plotLabelBox, ApplicationWindow::plotLegendFont, ApplicationWindow::plotNumbersFont, ApplicationWindow::plotTitleFont, proxyGroupBox, proxyHostLine, proxyPortBox, proxyUserNameLine, samePointsBtn, scaleErrorsBox, ColorButton::setColor(), ColorMapEditor::setColorMap(), setColorsList(), setSymbolsList(), DoubleSpinBox::setValue(), showGridOptions(), showPointsBox(), sofficePathBox, symbolBox, symbolEdgeBox, ApplicationWindow::tableBkgdColor, ApplicationWindow::tableHeaderColor, ApplicationWindow::tableHeaderFont, ApplicationWindow::tableTextColor, ApplicationWindow::tableTextFont, texCompilerPathBox, textFont, titleFont, ApplicationWindow::titleOn, translationsPathLine, undoStackSizeBox, updateCanvasSize(), ApplicationWindow::workspaceColor, and ApplicationWindow::writeFitResultsToLog.

Referenced by moveSymbolDown(), and resetDefaultSettings().

## setApplicationCustomProxy()

QNetworkProxy ConfigDialog::setApplicationCustomProxy | ( |  | ) |

private

References proxyGroupBox, proxyHostLine, proxyPasswordLine, proxyPortBox, and proxyUserNameLine.

Referenced by apply(), and moveSymbolDown().

## setColorsList()

void ConfigDialog::setColorsList | ( | const QList< QColor > & | colList,
|  | const QStringList & | colNames
| ) |  |

private

References colorsList.

Referenced by initCurvesPage(), loadDefaultColors(), moveColor(), moveSymbolDown(), newColor(), removeColor(), setApplication(), and showColorDialog().

## setColumnSeparator()

void ConfigDialog::setColumnSeparator | ( | const QString & | sep | ) |

References boxSeparator.

Referenced by languageChange(), and ApplicationWindow::showPreferencesDialog().

## setCurrentPage

void ConfigDialog::setCurrentPage | ( | int | index | ) |

private slot

References generalDialog, itemsList, and lblPageHeader.

Referenced by ConfigDialog().

## setCurrentSymbol

void ConfigDialog::setCurrentSymbol | ( | SymbolBox * | sb | ) |

private slot

References symbolsList.

Referenced by setSymbolsList().

## setSymbolsList()

void ConfigDialog::setSymbolsList | ( | const QList< int > & | symbList | ) |

private

References setCurrentSymbol(), symbolsList, and updateSymbolsList().

Referenced by initCurvesPage(), loadDefaultSymbols(), moveSymbol(), moveSymbolDown(), and setApplication().

## showColorDialog

void ConfigDialog::showColorDialog | ( | int | row,
|  | int | col
| ) |  |

private slot

References d_indexed_color_names, d_indexed_colors, and setColorsList().

Referenced by initCurvesPage(), and newColor().

## showFrameWidth

void ConfigDialog::showFrameWidth | ( | bool | ok | ) |

private slot

References boxFrameWidth, and labelFrameWidth.

Referenced by initPlotsPage().

## showGridOptions()

void ConfigDialog::showGridOptions | ( | int | axis | ) |

private

References boxAntialiseGrid, boxColorMajor, boxColorMinor, boxGridXAxis, boxGridYAxis, boxMajorGrid, boxMinorGrid, boxTypeMajor, boxTypeMinor, boxWidthMajor, boxWidthMinor, ApplicationWindow::d_default_2D_grid, Grid::majPenX(), Grid::majPenY(), Grid::minPenX(), Grid::minPenY(), ColorButton::setColor(), PenStyleBox::setStyle(), and DoubleSpinBox::setValue().

Referenced by initGridPage(), moveSymbolDown(), and setApplication().

## showPointsBox

void ConfigDialog::showPointsBox | ( | bool |  | ) |

private slot

References generatePointsBox, generatePointsBtn, lblPoints, and linearFit2PointsBox.

Referenced by initFittingPage(), and setApplication().

## switchToLanguage

void ConfigDialog::switchToLanguage | ( | int | param | ) |

private slot

References languageChange(), and ApplicationWindow::switchToLanguage().

Referenced by initAppPage().

## updateCanvasSize

void ConfigDialog::updateCanvasSize | ( | int | unit | ) |

private slot

References aspect_ratio, boxCanvasHeight, boxCanvasWidth, convertFromPixels(), ApplicationWindow::d_layer_canvas_height, ApplicationWindow::d_layer_canvas_width, FrameWidget::Pixel, FrameWidget::Point, DoubleSpinBox::setFormat(), DoubleSpinBox::setSingleStep(), and DoubleSpinBox::setValue().

Referenced by initLayerGeometryPage(), and setApplication().

## updateGrid()

void ConfigDialog::updateGrid | ( |  | ) |

private

References axesGridList, boxAntialiseGrid, boxColorMajor, boxColorMinor, boxGridXAxis, boxGridYAxis, boxMajorGrid, boxMinorGrid, boxTypeMajor, boxTypeMinor, boxWidthMajor, boxWidthMinor, ColorButton::color(), ApplicationWindow::d_default_2D_grid, Grid::setMajPenX(), Grid::setMajPenY(), Grid::setMinPenX(), Grid::setMinPenY(), PenStyleBox::style(), and DoubleSpinBox::value().

Referenced by initGridPage(), majorGridEnabled(), minorGridEnabled(), and moveSymbolDown().

## updateMenuList()

void ConfigDialog::updateMenuList | ( |  | ) |

private

Calculates a sensible width for the items list.

References itemsList.

Referenced by apply(), languageChange(), and moveSymbolDown().

## updateSymbolsList

void ConfigDialog::updateSymbolsList | ( | int | style | ) |

private slot

References d_indexed_symbols, and symbolsList.

Referenced by setSymbolsList().

## validateJava

bool ConfigDialog::validateJava | ( |  | ) |

private slot

References ApplicationWindow::d_java_path, and javaPathBox.

Referenced by initFileLocationsPage().

## validateJODConverter

bool ConfigDialog::validateJODConverter | ( |  | ) |

private slot

References ApplicationWindow::d_jodconverter_path, and jodconverterPathBox.

Referenced by initFileLocationsPage().

## validateOffice

bool ConfigDialog::validateOffice | ( |  | ) |

private slot

References ApplicationWindow::d_soffice_path, and sofficePathBox.

Referenced by initFileLocationsPage().

## validateTexCompiler

bool ConfigDialog::validateTexCompiler | ( |  | ) |

private slot

References ApplicationWindow::d_latex_compiler_path, and texCompilerPathBox.

Referenced by initFileLocationsPage().

## validFolderPath()

bool ConfigDialog::validFolderPath | ( | const QString & | path | ) |

private

Referenced by apply(), and moveSymbolDown().

## Member Data Documentation

## antialiasingGroupBox

QGroupBox* ConfigDialog::antialiasingGroupBox

private

Referenced by apply(), initLayerSpeedPage(), languageChange(), and setApplication().

## appColors

QWidget* ConfigDialog::appColors

private

Referenced by initAppPage(), and languageChange().

## appFont

QFont ConfigDialog::appFont

private

Referenced by apply(), ConfigDialog(), pickApplicationFont(), and setApplication().

## application

QWidget* ConfigDialog::application

private

Referenced by initAppPage(), and languageChange().

## appTabWidget

QTabWidget * ConfigDialog::appTabWidget

private

Referenced by apply(), ConfigDialog(), initAppPage(), initFileLocationsPage(), initProxyPage(), and languageChange().

## aspect_ratio

double ConfigDialog::aspect_ratio

private

Referenced by adjustCanvasHeight(), adjustCanvasWidth(), and updateCanvasSize().

## attachToBox

QComboBox * ConfigDialog::attachToBox

private

Referenced by apply(), initPlotsPage(), languageChange(), and setApplication().

## attachToLabel

QLabel * ConfigDialog::attachToLabel

private

Referenced by initPlotsPage(), and languageChange().

## axesFont

QFont ConfigDialog::axesFont

private

Referenced by apply(), ConfigDialog(), pickAxesFont(), and setApplication().

## axesGridList

QListWidget* ConfigDialog::axesGridList

private

Referenced by initGridPage(), languageChange(), and updateGrid().

## axesPage

QWidget * ConfigDialog::axesPage

private

Referenced by apply(), initAxesPage(), initPlotsPage(), and languageChange().

## axisLabelingBox

QComboBox* ConfigDialog::axisLabelingBox

private

Referenced by apply(), initPlotsPage(), and languageChange().

## bkgOpacitySlider

QSlider* ConfigDialog::bkgOpacitySlider

private

Referenced by initPlotsPage(), and setApplication().

## boxAntialiseGrid

QCheckBox* ConfigDialog::boxAntialiseGrid

private

Referenced by initGridPage(), languageChange(), showGridOptions(), and updateGrid().

## boxAppPrecision

QSpinBox * ConfigDialog::boxAppPrecision

private

Referenced by apply(), initAppPage(), and setApplication().

## boxAutoscale3DPlots

QCheckBox* ConfigDialog::boxAutoscale3DPlots

private

Referenced by apply(), initPlots3DPage(), languageChange(), and setApplication().

## boxAutoscaling

QCheckBox* ConfigDialog::boxAutoscaling

private

Referenced by apply(), initPlotsPage(), languageChange(), and setApplication().

## boxAxesLabelsDist

QSpinBox* ConfigDialog::boxAxesLabelsDist

private

Referenced by apply(), initAxesPage(), languageChange(), and setApplication().

## boxBackbones

QCheckBox * ConfigDialog::boxBackbones

private

Referenced by apply(), initAxesPage(), languageChange(), and setApplication().

## boxBackgroundColor

ColorButton* ConfigDialog::boxBackgroundColor

private

Referenced by apply(), initPlotsPage(), and setApplication().

## boxBackgroundTransparency

QSpinBox* ConfigDialog::boxBackgroundTransparency

private

Referenced by apply(), initPlotsPage(), languageChange(), and setApplication().

## boxBackupProject

QCheckBox * ConfigDialog::boxBackupProject

private

Referenced by apply(), initAppPage(), languageChange(), and setApplication().

## boxBorderColor

ColorButton * ConfigDialog::boxBorderColor

private

Referenced by apply(), initPlotsPage(), and setApplication().

## boxBorderWidth

QSpinBox * ConfigDialog::boxBorderWidth

private

Referenced by apply(), initPlotsPage(), and setApplication().

## boxCanvasColor

ColorButton * ConfigDialog::boxCanvasColor

private

Referenced by apply(), initPlotsPage(), and setApplication().

## boxCanvasHeight

DoubleSpinBox* ConfigDialog::boxCanvasHeight

private

Referenced by adjustCanvasHeight(), apply(), initLayerGeometryPage(), and updateCanvasSize().

## boxCanvasTransparency

QSpinBox * ConfigDialog::boxCanvasTransparency

private

Referenced by apply(), initPlotsPage(), languageChange(), and setApplication().

## boxCanvasWidth

DoubleSpinBox * ConfigDialog::boxCanvasWidth

private

Referenced by adjustCanvasWidth(), apply(), initLayerGeometryPage(), and updateCanvasSize().

## boxClipboardLocale

QComboBox* ConfigDialog::boxClipboardLocale

private

Referenced by apply(), initAppPage(), and languageChange().

## boxColorMajor

ColorButton * ConfigDialog::boxColorMajor

private

Referenced by initGridPage(), majorGridEnabled(), showGridOptions(), and updateGrid().

## boxColorMinor

ColorButton* ConfigDialog::boxColorMinor

private

Referenced by initGridPage(), minorGridEnabled(), showGridOptions(), and updateGrid().

## boxConfirmModifyDataPoints

QCheckBox * ConfigDialog::boxConfirmModifyDataPoints

private

Referenced by apply(), initConfirmationsPage(), languageChange(), and setApplication().

## boxConfirmOverwrite

QCheckBox * ConfigDialog::boxConfirmOverwrite

private

Referenced by apply(), initConfirmationsPage(), languageChange(), and setApplication().

## boxCurveLineWidth

DoubleSpinBox* ConfigDialog::boxCurveLineWidth

private

Referenced by apply(), initCurvesPage(), and setApplication().

## boxCurveStyle

QComboBox * ConfigDialog::boxCurveStyle

private

Referenced by curveStyle(), initCurvesPage(), and languageChange().

## boxDecimalSeparator

QComboBox * ConfigDialog::boxDecimalSeparator

private

Referenced by apply(), initAppPage(), and languageChange().

## boxEmptyCellGap

QCheckBox * ConfigDialog::boxEmptyCellGap

private

Referenced by apply(), initPlotsPage(), languageChange(), and setApplication().

## boxEnableAxis

QCheckBox* ConfigDialog::boxEnableAxis

private

## boxEndLine

QComboBox* ConfigDialog::boxEndLine

private

Referenced by apply(), initAppPage(), languageChange(), and setApplication().

## boxFolders

QCheckBox * ConfigDialog::boxFolders

private

Referenced by apply(), initConfirmationsPage(), languageChange(), and setApplication().

## boxFontFamily

QFontComboBox* ConfigDialog::boxFontFamily

private

Referenced by customizeNotes(), initNotesPage(), and setApplication().

## boxFontSize

QSpinBox* ConfigDialog::boxFontSize

private

Referenced by customizeNotes(), initNotesPage(), and setApplication().

## boxFrame

QCheckBox * ConfigDialog::boxFrame

private

Referenced by apply(), initPlotsPage(), languageChange(), and setApplication().

## boxFrameWidth

QSpinBox * ConfigDialog::boxFrameWidth

private

Referenced by apply(), initPlotsPage(), setApplication(), and showFrameWidth().

## boxGridXAxis

QComboBox * ConfigDialog::boxGridXAxis

private

Referenced by initGridPage(), languageChange(), showGridOptions(), and updateGrid().

## boxGridYAxis

QComboBox* ConfigDialog::boxGridYAxis

private

Referenced by initGridPage(), languageChange(), showGridOptions(), and updateGrid().

## boxInitWindow

QComboBox * ConfigDialog::boxInitWindow

private

Referenced by apply(), initAppPage(), languageChange(), and setApplication().

## boxLabelsEditing

QCheckBox * ConfigDialog::boxLabelsEditing

private

Referenced by apply(), initPlotsPage(), languageChange(), and setApplication().

## boxLanguage

QComboBox * ConfigDialog::boxLanguage

private

Referenced by initAppPage(), and insertLanguagesList().

## boxLineWidth

QSpinBox * ConfigDialog::boxLineWidth

private

Referenced by apply(), initAxesPage(), and setApplication().

## boxMajorGrid

QCheckBox * ConfigDialog::boxMajorGrid

private

Referenced by initGridPage(), languageChange(), showGridOptions(), and updateGrid().

## boxMajorGrids

QCheckBox* ConfigDialog::boxMajorGrids

private

Referenced by apply(), initPlots3DPage(), languageChange(), and setApplication().

## boxMajorGridStyle

QComboBox* ConfigDialog::boxMajorGridStyle

private

Referenced by apply(), enableMajorGrids(), initPlots3DPage(), and languageChange().

## boxMajorGridWidth

DoubleSpinBox* ConfigDialog::boxMajorGridWidth

private

Referenced by apply(), enableMajorGrids(), initPlots3DPage(), and setApplication().

## boxMajTicks

QComboBox* ConfigDialog::boxMajTicks

private

Referenced by apply(), initPlotsPage(), and languageChange().

## boxMajTicksLength

QSpinBox * ConfigDialog::boxMajTicksLength

private

Referenced by apply(), initPlotsPage(), and setApplication().

## boxMargin

QSpinBox * ConfigDialog::boxMargin

private

Referenced by apply(), initPlotsPage(), and setApplication().

## boxMatrices

QCheckBox * ConfigDialog::boxMatrices

private

Referenced by apply(), initConfirmationsPage(), languageChange(), and setApplication().

## boxMinorGrid

QCheckBox* ConfigDialog::boxMinorGrid

private

Referenced by initGridPage(), languageChange(), showGridOptions(), and updateGrid().

## boxMinorGrids

QCheckBox * ConfigDialog::boxMinorGrids

private

Referenced by apply(), initPlots3DPage(), languageChange(), and setApplication().

## boxMinorGridStyle

QComboBox * ConfigDialog::boxMinorGridStyle

private

Referenced by apply(), enableMinorGrids(), initPlots3DPage(), and languageChange().

## boxMinorGridWidth

DoubleSpinBox * ConfigDialog::boxMinorGridWidth

private

Referenced by apply(), enableMinorGrids(), initPlots3DPage(), and setApplication().

## boxMinTicks

QComboBox * ConfigDialog::boxMinTicks

private

Referenced by apply(), initPlotsPage(), and languageChange().

## boxMinTicksLength

QSpinBox * ConfigDialog::boxMinTicksLength

private

Referenced by apply(), initPlotsPage(), and setApplication().

## boxMinutes

QSpinBox* ConfigDialog::boxMinutes

private

Referenced by apply(), initAppPage(), languageChange(), and setApplication().

## boxMultiPeakMsgs

QCheckBox * ConfigDialog::boxMultiPeakMsgs

private

Referenced by apply(), initFittingPage(), languageChange(), and setApplication().

## boxMuParserCLocale

QCheckBox* ConfigDialog::boxMuParserCLocale

private

Referenced by apply(), initAppPage(), languageChange(), and setApplication().

## boxNotes

QCheckBox * ConfigDialog::boxNotes

private

Referenced by apply(), initConfirmationsPage(), languageChange(), and setApplication().

## boxOrthogonal

QCheckBox * ConfigDialog::boxOrthogonal

private

Referenced by apply(), initPlots3DPage(), languageChange(), and setApplication().

## boxPeaksColor

ColorButton* ConfigDialog::boxPeaksColor

private

Referenced by apply(), initFittingPage(), and setApplication().

## boxPlots2D

QCheckBox * ConfigDialog::boxPlots2D

private

Referenced by apply(), initConfirmationsPage(), languageChange(), and setApplication().

## boxPlots3D

QCheckBox * ConfigDialog::boxPlots3D

private

Referenced by apply(), initConfirmationsPage(), languageChange(), and setApplication().

## boxPrecision

QSpinBox * ConfigDialog::boxPrecision

private

Referenced by apply(), initFittingPage(), and setApplication().

## boxPrintCropmarks

QCheckBox * ConfigDialog::boxPrintCropmarks

private

Referenced by apply(), initPlotsPage(), languageChange(), and setApplication().

## boxProjection

QComboBox * ConfigDialog::boxProjection

private

Referenced by apply(), initPlots3DPage(), languageChange(), and setApplication().

## boxPromptRenameTables

QCheckBox* ConfigDialog::boxPromptRenameTables

private

Referenced by apply(), initConfirmationsPage(), languageChange(), and setApplication().

## boxResize

QCheckBox * ConfigDialog::boxResize

private

Referenced by apply(), initPlotsPage(), languageChange(), and setApplication().

## boxResolution

QSpinBox * ConfigDialog::boxResolution

private

Referenced by apply(), initPlots3DPage(), languageChange(), and setApplication().

## boxSave

QCheckBox* ConfigDialog::boxSave

private

Referenced by apply(), initAppPage(), languageChange(), and setApplication().

## boxScaleFonts

QCheckBox * ConfigDialog::boxScaleFonts

private

Referenced by apply(), initPlotsPage(), languageChange(), and setApplication().

## boxScaleLayersOnPrint

QCheckBox* ConfigDialog::boxScaleLayersOnPrint

private

Referenced by apply(), initPlotsPage(), languageChange(), and setApplication().

## boxScriptingLanguage

QComboBox* ConfigDialog::boxScriptingLanguage

private

Referenced by apply(), initAppPage(), initFileLocationsPage(), and setApplication().

## boxSearchUpdates

QCheckBox* ConfigDialog::boxSearchUpdates

private

Referenced by apply(), initAppPage(), languageChange(), and setApplication().

## boxSeparator

QComboBox * ConfigDialog::boxSeparator

private

Referenced by apply(), initTablesPage(), languageChange(), and setColumnSeparator().

## boxShowAxisLabels

QCheckBox * ConfigDialog::boxShowAxisLabels

private

## boxShowLegend

QCheckBox * ConfigDialog::boxShowLegend

private

Referenced by apply(), initPlots3DPage(), languageChange(), and setApplication().

## boxSmoothMesh

QCheckBox * ConfigDialog::boxSmoothMesh

private

Referenced by apply(), initPlots3DPage(), languageChange(), and setApplication().

## boxStyle

QComboBox * ConfigDialog::boxStyle

private

Referenced by apply(), initAppPage(), and setApplication().

## boxSymbolSize

QSpinBox* ConfigDialog::boxSymbolSize

private

Referenced by apply(), initCurvesPage(), and setApplication().

## boxSynchronizeScales

QCheckBox* ConfigDialog::boxSynchronizeScales

private

Referenced by apply(), initAxesPage(), languageChange(), and setApplication().

## boxTableComments

QCheckBox * ConfigDialog::boxTableComments

private

Referenced by apply(), initTablesPage(), languageChange(), and setApplication().

## boxTabLength

QSpinBox * ConfigDialog::boxTabLength

private

Referenced by customizeNotes(), initNotesPage(), and setApplication().

## boxTablePasteDialog

QCheckBox * ConfigDialog::boxTablePasteDialog

private

Referenced by apply(), initConfirmationsPage(), languageChange(), and setApplication().

## boxTables

QCheckBox * ConfigDialog::boxTables

private

Referenced by apply(), initConfirmationsPage(), languageChange(), and setApplication().

## boxThousandsSeparator

QCheckBox * ConfigDialog::boxThousandsSeparator

private

Referenced by apply(), initAppPage(), languageChange(), and setApplication().

## boxTickLabelsDist

QSpinBox * ConfigDialog::boxTickLabelsDist

private

Referenced by apply(), initAxesPage(), languageChange(), and setApplication().

## boxTitle

QCheckBox* ConfigDialog::boxTitle

private

Referenced by apply(), initPlotsPage(), languageChange(), and setApplication().

## boxTypeMajor

PenStyleBox * ConfigDialog::boxTypeMajor

private

Referenced by initGridPage(), majorGridEnabled(), showGridOptions(), and updateGrid().

## boxTypeMinor

PenStyleBox* ConfigDialog::boxTypeMinor

private

Referenced by initGridPage(), minorGridEnabled(), showGridOptions(), and updateGrid().

## boxUpdateTableValues

QCheckBox* ConfigDialog::boxUpdateTableValues

private

Referenced by apply(), initTablesPage(), languageChange(), and setApplication().

## boxWidthMajor

DoubleSpinBox * ConfigDialog::boxWidthMajor

private

Referenced by initGridPage(), majorGridEnabled(), showGridOptions(), and updateGrid().

## boxWidthMinor

DoubleSpinBox* ConfigDialog::boxWidthMinor

private

Referenced by initGridPage(), minorGridEnabled(), showGridOptions(), and updateGrid().

## browseJavaBtn

QPushButton* ConfigDialog::browseJavaBtn

private

Referenced by initFileLocationsPage().

## browseJODConverterBtn

QPushButton* ConfigDialog::browseJODConverterBtn

private

Referenced by initFileLocationsPage().

## browseOfficeBtn

QPushButton* ConfigDialog::browseOfficeBtn

private

Referenced by initFileLocationsPage().

## browseTexCompilerBtn

QPushButton* ConfigDialog::browseTexCompilerBtn

private

Referenced by initFileLocationsPage().

## btnAxes

ColorButton * ConfigDialog::btnAxes

private

Referenced by apply(), initPlots3DPage(), languageChange(), and setApplication().

## btnBackground3D

ColorButton* ConfigDialog::btnBackground3D

private

Referenced by apply(), initPlots3DPage(), languageChange(), and setApplication().

## btnColorDown

QPushButton * ConfigDialog::btnColorDown

private

Referenced by initCurvesPage(), and languageChange().

## btnColorUp

QPushButton* ConfigDialog::btnColorUp

private

Referenced by initCurvesPage(), and languageChange().

## btnDefaultSettings

QPushButton* ConfigDialog::btnDefaultSettings

private

Referenced by ConfigDialog(), and languageChange().

## btnGrid

ColorButton* ConfigDialog::btnGrid

private

Referenced by apply(), enableMajorGrids(), initPlots3DPage(), languageChange(), and setApplication().

## btnGridMinor

ColorButton * ConfigDialog::btnGridMinor

private

Referenced by apply(), enableMinorGrids(), initPlots3DPage(), and setApplication().

## btnLabels

ColorButton * ConfigDialog::btnLabels

private

Referenced by apply(), initPlots3DPage(), languageChange(), and setApplication().

## btnLabelsFnt

QPushButton * ConfigDialog::btnLabelsFnt

private

Referenced by initPlots3DPage(), and languageChange().

## btnLoadDefaultColors

QPushButton * ConfigDialog::btnLoadDefaultColors

private

Referenced by initCurvesPage(), and languageChange().

## btnLoadDefaultSymbols

QPushButton* ConfigDialog::btnLoadDefaultSymbols

private

Referenced by initCurvesPage(), and languageChange().

## btnMesh

ColorButton * ConfigDialog::btnMesh

private

Referenced by apply(), initPlots3DPage(), languageChange(), and setApplication().

## btnNewColor

QPushButton * ConfigDialog::btnNewColor

private

Referenced by initCurvesPage(), and languageChange().

## btnNumbers

ColorButton * ConfigDialog::btnNumbers

private

Referenced by apply(), initPlots3DPage(), languageChange(), and setApplication().

## btnNumFnt

QPushButton * ConfigDialog::btnNumFnt

private

Referenced by initPlots3DPage(), and languageChange().

## btnPanels

ColorButton * ConfigDialog::btnPanels

private

Referenced by apply(), initAppPage(), and setApplication().

## btnPanelsText

ColorButton * ConfigDialog::btnPanelsText

private

Referenced by apply(), initAppPage(), and setApplication().

## btnRemoveColor

QPushButton * ConfigDialog::btnRemoveColor

private

Referenced by initCurvesPage(), and languageChange().

## btnSymbolDown

QPushButton * ConfigDialog::btnSymbolDown

private

Referenced by initCurvesPage(), and languageChange().

## btnSymbolUp

QPushButton * ConfigDialog::btnSymbolUp

private

Referenced by initCurvesPage(), and languageChange().

## btnTitleFnt

QPushButton* ConfigDialog::btnTitleFnt

private

Referenced by initPlots3DPage(), and languageChange().

## btnWorkspace

ColorButton* ConfigDialog::btnWorkspace

private

Referenced by apply(), initAppPage(), and setApplication().

## buttonApply

QPushButton * ConfigDialog::buttonApply

private

Referenced by ConfigDialog(), and languageChange().

## buttonAxesFont

QPushButton* ConfigDialog::buttonAxesFont

private

Referenced by initPlotsPage(), and languageChange().

## buttonBackground

ColorButton* ConfigDialog::buttonBackground

private

Referenced by apply(), initTablesPage(), and setApplication().

## buttonBoldFont

QPushButton * ConfigDialog::buttonBoldFont

private

Referenced by customizeNotes(), initNotesPage(), and setApplication().

## buttonCancel

QPushButton * ConfigDialog::buttonCancel

private

Referenced by ConfigDialog(), and languageChange().

## buttonClassColor

ColorButton * ConfigDialog::buttonClassColor

private

Referenced by initNotesPage(), rehighlight(), and setApplication().

## buttonClassLabel

QLabel * ConfigDialog::buttonClassLabel

private

Referenced by initNotesPage(), and languageChange().

## buttonCommentColor

ColorButton* ConfigDialog::buttonCommentColor

private

Referenced by initNotesPage(), rehighlight(), and setApplication().

## buttonCommentLabel

QLabel* ConfigDialog::buttonCommentLabel

private

Referenced by initNotesPage(), and languageChange().

## buttonFunctionColor

ColorButton * ConfigDialog::buttonFunctionColor

private

Referenced by initNotesPage(), rehighlight(), and setApplication().

## buttonFunctionLabel

QLabel * ConfigDialog::buttonFunctionLabel

private

Referenced by initNotesPage(), and languageChange().

## buttonHeader

ColorButton * ConfigDialog::buttonHeader

private

Referenced by apply(), initTablesPage(), and setApplication().

## buttonHeaderFont

QPushButton * ConfigDialog::buttonHeaderFont

private

Referenced by ConfigDialog(), initTablesPage(), and languageChange().

## buttonItalicFont

QPushButton* ConfigDialog::buttonItalicFont

private

Referenced by customizeNotes(), initNotesPage(), and setApplication().

## buttonKeywordColor

ColorButton* ConfigDialog::buttonKeywordColor

private

Referenced by initNotesPage(), rehighlight(), and setApplication().

## buttonKeywordLabel

QLabel* ConfigDialog::buttonKeywordLabel

private

Referenced by initNotesPage(), and languageChange().

## buttonLegendFont

QPushButton * ConfigDialog::buttonLegendFont

private

Referenced by initPlotsPage(), and languageChange().

## buttonNumbersFont

QPushButton * ConfigDialog::buttonNumbersFont

private

Referenced by initPlotsPage(), and languageChange().

## buttonNumericColor

ColorButton * ConfigDialog::buttonNumericColor

private

Referenced by initNotesPage(), rehighlight(), and setApplication().

## buttonNumericLabel

QLabel * ConfigDialog::buttonNumericLabel

private

Referenced by initNotesPage(), and languageChange().

## buttonOk

QPushButton* ConfigDialog::buttonOk

private

Referenced by ConfigDialog(), and languageChange().

## buttonQuotationColor

ColorButton * ConfigDialog::buttonQuotationColor

private

Referenced by initNotesPage(), rehighlight(), and setApplication().

## buttonQuotationLabel

QLabel * ConfigDialog::buttonQuotationLabel

private

Referenced by initNotesPage(), and languageChange().

## buttonText

ColorButton * ConfigDialog::buttonText

private

Referenced by apply(), initTablesPage(), and setApplication().

## buttonTextFont

QPushButton* ConfigDialog::buttonTextFont

private

Referenced by ConfigDialog(), initTablesPage(), and languageChange().

## buttonTitleFont

QPushButton * ConfigDialog::buttonTitleFont

private

Referenced by initPlotsPage(), and languageChange().

## canvasHeightLabel

QLabel * ConfigDialog::canvasHeightLabel

private

Referenced by initLayerGeometryPage(), and languageChange().

## canvasOpacitySlider

QSlider * ConfigDialog::canvasOpacitySlider

private

Referenced by initPlotsPage(), and setApplication().

## canvasWidthLabel

QLabel * ConfigDialog::canvasWidthLabel

private

Referenced by initLayerGeometryPage(), and languageChange().

## colorMapBox

QGroupBox* ConfigDialog::colorMapBox

private

Referenced by initPlots3DPage(), and languageChange().

## colorMapEditor

ColorMapEditor* ConfigDialog::colorMapEditor

private

Referenced by apply(), initPlots3DPage(), and setApplication().

## colorsList

QTableWidget* ConfigDialog::colorsList

private

Referenced by changeColorName(), initCurvesPage(), languageChange(), loadDefaultColors(), moveColor(), newColor(), removeColor(), and setColorsList().

## completionBox

QCheckBox* ConfigDialog::completionBox

private

Referenced by apply(), initAppPage(), languageChange(), and setApplication().

## confirm

QWidget * ConfigDialog::confirm

private

Referenced by initAppPage(), initConfirmationsPage(), and languageChange().

## curveAlphaBox

QSpinBox* ConfigDialog::curveAlphaBox

private

Referenced by apply(), initCurvesPage(), languageChange(), and setApplication().

## curveOpacitySlider

QSlider * ConfigDialog::curveOpacitySlider

private

Referenced by initCurvesPage().

## curves

QWidget * ConfigDialog::curves

private

Referenced by initCurvesPage(), initPlotsPage(), and languageChange().

## curvesGroupBox

QGroupBox* ConfigDialog::curvesGroupBox

private

Referenced by initCurvesPage(), and languageChange().

## curveSizeBox

QSpinBox* ConfigDialog::curveSizeBox

private

Referenced by apply(), enableCurveAntialiasingSizeBox(), initLayerSpeedPage(), languageChange(), and setApplication().

## d_3D_axes_font

QFont ConfigDialog::d_3D_axes_font

private

Referenced by apply(), ConfigDialog(), pick3DAxesFont(), and setApplication().

## d_3D_numbers_font

QFont ConfigDialog::d_3D_numbers_font

private

Referenced by apply(), ConfigDialog(), pick3DNumbersFont(), and setApplication().

## d_3D_title_font

QFont ConfigDialog::d_3D_title_font

private

Referenced by apply(), ConfigDialog(), pick3DTitleFont(), and setApplication().

## d_indexed_color_names

QStringList ConfigDialog::d_indexed_color_names

private

Referenced by apply(), changeColorName(), initCurvesPage(), loadDefaultColors(), moveColor(), newColor(), removeColor(), setApplication(), and showColorDialog().

## d_indexed_colors

QList<QColor> ConfigDialog::d_indexed_colors

private

Referenced by apply(), initCurvesPage(), loadDefaultColors(), moveColor(), newColor(), removeColor(), setApplication(), and showColorDialog().

## d_indexed_symbols

QList<int> ConfigDialog::d_indexed_symbols

private

Referenced by apply(), initCurvesPage(), loadDefaultSymbols(), moveSymbol(), setApplication(), and updateSymbolsList().

## disableAntialiasingBox

QCheckBox* ConfigDialog::disableAntialiasingBox

private

Referenced by apply(), enableCurveAntialiasingSizeBox(), initLayerSpeedPage(), languageChange(), and setApplication().

## enableAxisLabel

QLabel * ConfigDialog::enableAxisLabel

private

Referenced by initAxesPage(), and languageChange().

## enabledAxesGrid

QGridLayout* ConfigDialog::enabledAxesGrid

private

Referenced by apply(), initAxesPage(), and setApplication().

## enabledAxesGroupBox

QGroupBox* ConfigDialog::enabledAxesGroupBox

private

Referenced by initAxesPage(), and languageChange().

## excelImportMethod

QComboBox* ConfigDialog::excelImportMethod

private

Referenced by apply(), initAppPage(), languageChange(), and setApplication().

## excelImportMethodLabel

QLabel* ConfigDialog::excelImportMethodLabel

private

Referenced by initAppPage(), and languageChange().

## fileLocationsPage

QWidget* ConfigDialog::fileLocationsPage

private

Referenced by apply(), initFileLocationsPage(), and languageChange().

## fillCurvesGroupBox

QGroupBox * ConfigDialog::fillCurvesGroupBox

private

Referenced by initCurvesPage(), and languageChange().

## fillSymbolsBox

QCheckBox* ConfigDialog::fillSymbolsBox

private

Referenced by apply(), initCurvesPage(), languageChange(), and setApplication().

## fitPage

QWidget * ConfigDialog::fitPage

private

Referenced by ConfigDialog(), and initFittingPage().

## fontsBtn

QPushButton * ConfigDialog::fontsBtn

private

Referenced by initAppPage(), and languageChange().

## generalDialog

QStackedWidget* ConfigDialog::generalDialog

private

Referenced by apply(), ConfigDialog(), customizeNotes(), initAppPage(), rehighlight(), and setCurrentPage().

## generatePointsBox

QSpinBox * ConfigDialog::generatePointsBox

private

Referenced by apply(), initFittingPage(), setApplication(), and showPointsBox().

## generatePointsBtn

QRadioButton * ConfigDialog::generatePointsBtn

private

Referenced by apply(), initFittingPage(), languageChange(), setApplication(), and showPointsBox().

## gridAxesLbl

QLabel * ConfigDialog::gridAxesLbl

private

Referenced by initGridPage(), and languageChange().

## gridLineColorLbl

QLabel* ConfigDialog::gridLineColorLbl

private

Referenced by initGridPage(), and languageChange().

## gridLineTypeLbl

QLabel * ConfigDialog::gridLineTypeLbl

private

Referenced by initGridPage(), and languageChange().

## gridLineWidthLbl

QLabel * ConfigDialog::gridLineWidthLbl

private

Referenced by initGridPage(), and languageChange().

## gridPage

QWidget* ConfigDialog::gridPage

private

Referenced by initGridPage(), initPlotsPage(), and languageChange().

## groupBackgroundOptions

QGroupBox* ConfigDialog::groupBackgroundOptions

private

Referenced by initPlotsPage(), and languageChange().

## groupBox3DCol

QGroupBox * ConfigDialog::groupBox3DCol

private

Referenced by initPlots3DPage(), and languageChange().

## groupBox3DFonts

QGroupBox* ConfigDialog::groupBox3DFonts

private

Referenced by initPlots3DPage(), and languageChange().

## groupBox3DGrids

QGroupBox* ConfigDialog::groupBox3DGrids

private

Referenced by initPlots3DPage(), and languageChange().

## groupBoxConfirm

QGroupBox* ConfigDialog::groupBoxConfirm

private

Referenced by initConfirmationsPage(), and languageChange().

## groupBoxFitParameters

QGroupBox * ConfigDialog::groupBoxFitParameters

private

Referenced by initFittingPage(), and languageChange().

## groupBoxFittingCurve

QGroupBox* ConfigDialog::groupBoxFittingCurve

private

Referenced by initFittingPage(), and languageChange().

## groupBoxMultiPeak

QGroupBox* ConfigDialog::groupBoxMultiPeak

private

Referenced by apply(), initFittingPage(), languageChange(), and setApplication().

## groupBoxTableCol

QGroupBox * ConfigDialog::groupBoxTableCol

private

Referenced by initTablesPage(), and languageChange().

## groupBoxTableFonts

QGroupBox* ConfigDialog::groupBoxTableFonts

private

Referenced by initTablesPage(), and languageChange().

## groupIndexedColors

QGroupBox* ConfigDialog::groupIndexedColors

private

Referenced by initCurvesPage(), and languageChange().

## groupIndexedSymbols

QGroupBox * ConfigDialog::groupIndexedSymbols

private

Referenced by apply(), initCurvesPage(), languageChange(), and setApplication().

## groupSyntaxHighlighter

QGroupBox* ConfigDialog::groupSyntaxHighlighter

private

Referenced by initNotesPage(), and languageChange().

## headerFont

QFont ConfigDialog::headerFont

private

Referenced by apply(), ConfigDialog(), pickHeaderFont(), and setApplication().

## helpPathLine

QLineEdit * ConfigDialog::helpPathLine

private

Referenced by apply(), chooseHelpFolder(), initFileLocationsPage(), and setApplication().

## itemsList

QListWidget* ConfigDialog::itemsList

private

Referenced by ConfigDialog(), languageChange(), setCurrentPage(), and updateMenuList().

## javaLabel

QLabel* ConfigDialog::javaLabel

private

Referenced by initFileLocationsPage(), and languageChange().

## javaPathBox

QLineEdit* ConfigDialog::javaPathBox

private

Referenced by chooseJava(), initFileLocationsPage(), setApplication(), and validateJava().

## jodconverterLabel

QLabel* ConfigDialog::jodconverterLabel

private

Referenced by initFileLocationsPage(), and languageChange().

## jodconverterPathBox

QLineEdit* ConfigDialog::jodconverterPathBox

private

Referenced by chooseJODConverter(), initFileLocationsPage(), setApplication(), and validateJODConverter().

## keepRatioBox

QCheckBox* ConfigDialog::keepRatioBox

private

Referenced by adjustCanvasHeight(), adjustCanvasWidth(), apply(), initLayerGeometryPage(), languageChange(), and setApplication().

## label3DGridsColor

QLabel* ConfigDialog::label3DGridsColor

private

Referenced by initPlots3DPage(), and languageChange().

## label3DGridsStyle

QLabel * ConfigDialog::label3DGridsStyle

private

Referenced by initPlots3DPage(), and languageChange().

## label3DGridsWidth

QLabel * ConfigDialog::label3DGridsWidth

private

Referenced by initPlots3DPage(), and languageChange().

## labelFrameWidth

QLabel* ConfigDialog::labelFrameWidth

private

Referenced by initPlotsPage(), languageChange(), setApplication(), and showFrameWidth().

## labelGraphAxesLabelsDist

QLabel* ConfigDialog::labelGraphAxesLabelsDist

private

Referenced by initAxesPage(), and languageChange().

## labelGraphBkgColor

QLabel* ConfigDialog::labelGraphBkgColor

private

Referenced by initPlotsPage(), and languageChange().

## labelGraphBkgOpacity

QLabel* ConfigDialog::labelGraphBkgOpacity

private

Referenced by initPlotsPage(), and languageChange().

## labelGraphCanvasColor

QLabel * ConfigDialog::labelGraphCanvasColor

private

Referenced by initPlotsPage(), and languageChange().

## labelGraphCanvasOpacity

QLabel * ConfigDialog::labelGraphCanvasOpacity

private

Referenced by initPlotsPage(), and languageChange().

## labelGraphFrameColor

QLabel* ConfigDialog::labelGraphFrameColor

private

Referenced by initPlotsPage(), and languageChange().

## labelGraphFrameWidth

QLabel * ConfigDialog::labelGraphFrameWidth

private

Referenced by initPlotsPage(), and languageChange().

## labelNotesFont

QLabel * ConfigDialog::labelNotesFont

private

Referenced by initNotesPage(), and languageChange().

## labelTabLength

QLabel* ConfigDialog::labelTabLength

private

Referenced by initNotesPage(), and languageChange().

## labelTickLabelsDist

QLabel * ConfigDialog::labelTickLabelsDist

private

Referenced by initAxesPage(), and languageChange().

## lblAppPrecision

QLabel * ConfigDialog::lblAppPrecision

private

Referenced by initAppPage(), and languageChange().

## lblAxesLineWidth

QLabel * ConfigDialog::lblAxesLineWidth

private

Referenced by initAxesPage(), and languageChange().

## lblAxisLabeling

QLabel* ConfigDialog::lblAxisLabeling

private

Referenced by initPlotsPage(), and languageChange().

## lblClipboardSeparator

QLabel* ConfigDialog::lblClipboardSeparator

private

Referenced by initAppPage(), and languageChange().

## lblCurveAlpha

QLabel * ConfigDialog::lblCurveAlpha

private

Referenced by initCurvesPage(), and languageChange().

## lblCurveStyle

QLabel * ConfigDialog::lblCurveStyle

private

Referenced by initCurvesPage(), and languageChange().

## lblDecimalSeparator

QLabel * ConfigDialog::lblDecimalSeparator

private

Referenced by initAppPage(), and languageChange().

## lblEndOfLine

QLabel * ConfigDialog::lblEndOfLine

private

Referenced by initAppPage(), and languageChange().

## lblFloorStyle

QLabel * ConfigDialog::lblFloorStyle

private

Referenced by initPlots3DPage(), and languageChange().

## lblFonts

QLabel * ConfigDialog::lblFonts

private

Referenced by initAppPage(), and languageChange().

## lblHeaderColor

QLabel * ConfigDialog::lblHeaderColor

private

Referenced by initTablesPage(), and languageChange().

## lblHelpPath

QLabel * ConfigDialog::lblHelpPath

private

Referenced by initFileLocationsPage(), and languageChange().

## lblInitWindow

QLabel * ConfigDialog::lblInitWindow

private

Referenced by initAppPage(), and languageChange().

## lblLanguage

QLabel * ConfigDialog::lblLanguage

private

Referenced by initAppPage(), and languageChange().

## lblLineStyle

QLabel * ConfigDialog::lblLineStyle

private

Referenced by initCurvesPage(), and languageChange().

## lblLineWidth

QLabel * ConfigDialog::lblLineWidth

private

Referenced by initCurvesPage(), and languageChange().

## lblMajTicks

QLabel * ConfigDialog::lblMajTicks

private

Referenced by initPlotsPage(), and languageChange().

## lblMajTicksLength

QLabel * ConfigDialog::lblMajTicksLength

private

Referenced by initPlotsPage(), and languageChange().

## lblMargin

QLabel* ConfigDialog::lblMargin

private

Referenced by initPlotsPage(), and languageChange().

## lblMinTicks

QLabel * ConfigDialog::lblMinTicks

private

Referenced by initPlotsPage(), and languageChange().

## lblMinTicksLength

QLabel * ConfigDialog::lblMinTicksLength

private

Referenced by initPlotsPage(), and languageChange().

## lblPageHeader

QLabel * ConfigDialog::lblPageHeader

private

Referenced by ConfigDialog(), and setCurrentPage().

## lblPanels

QLabel * ConfigDialog::lblPanels

private

Referenced by initAppPage(), and languageChange().

## lblPanelsText

QLabel* ConfigDialog::lblPanelsText

private

Referenced by initAppPage(), and languageChange().

## lblPattern

QLabel* ConfigDialog::lblPattern

private

Referenced by initCurvesPage(), and languageChange().

## lblPeaksColor

QLabel * ConfigDialog::lblPeaksColor

private

Referenced by initFittingPage(), and languageChange().

## lblPoints

QLabel * ConfigDialog::lblPoints

private

Referenced by initFittingPage(), languageChange(), and showPointsBox().

## lblPrecision

QLabel * ConfigDialog::lblPrecision

private

Referenced by initFittingPage(), and languageChange().

## lblResolution

QLabel * ConfigDialog::lblResolution

private

Referenced by initPlots3DPage(), and languageChange().

## lblScriptingLanguage

QLabel* ConfigDialog::lblScriptingLanguage

private

Referenced by initAppPage(), and languageChange().

## lblSeparator

QLabel* ConfigDialog::lblSeparator

private

Referenced by initTablesPage(), and languageChange().

## lblStyle

QLabel * ConfigDialog::lblStyle

private

Referenced by initAppPage(), and languageChange().

## lblSymbBox

QLabel * ConfigDialog::lblSymbBox

private

Referenced by initCurvesPage(), and languageChange().

## lblSymbEdge

QLabel* ConfigDialog::lblSymbEdge

private

Referenced by initCurvesPage(), and languageChange().

## lblSymbSize

QLabel* ConfigDialog::lblSymbSize

private

Referenced by initCurvesPage(), and languageChange().

## lblTableBackground

QLabel * ConfigDialog::lblTableBackground

private

Referenced by initTablesPage(), and languageChange().

## lblTextColor

QLabel * ConfigDialog::lblTextColor

private

Referenced by initTablesPage(), and languageChange().

## lblTranslationsPath

QLabel* ConfigDialog::lblTranslationsPath

private

Referenced by initFileLocationsPage(), and languageChange().

## lblUndoStackSize

QLabel * ConfigDialog::lblUndoStackSize

private

Referenced by initAppPage(), and languageChange().

## lblWorkspace

QLabel * ConfigDialog::lblWorkspace

private

Referenced by initAppPage(), and languageChange().

## legendDisplayBox

QComboBox* ConfigDialog::legendDisplayBox

private

Referenced by apply(), initPlotsPage(), languageChange(), and setApplication().

## legendDisplayLabel

QLabel* ConfigDialog::legendDisplayLabel

private

Referenced by initPlotsPage(), and languageChange().

## legendFont

QFont ConfigDialog::legendFont

private

Referenced by apply(), ConfigDialog(), pickLegendFont(), and setApplication().

## linearFit2PointsBox

QCheckBox * ConfigDialog::linearFit2PointsBox

private

Referenced by apply(), initFittingPage(), languageChange(), setApplication(), and showPointsBox().

## lineNumbersBox

QCheckBox * ConfigDialog::lineNumbersBox

private

Referenced by customizeNotes(), initNotesPage(), languageChange(), and setApplication().

## lineStyleBox

PenStyleBox* ConfigDialog::lineStyleBox

private

Referenced by apply(), initCurvesPage(), and setApplication().

## logBox

QCheckBox * ConfigDialog::logBox

private

Referenced by apply(), initFittingPage(), languageChange(), and setApplication().

## notesPage

QWidget * ConfigDialog::notesPage

private

Referenced by ConfigDialog(), customizeNotes(), initNotesPage(), and rehighlight().

## numbersFont

QFont ConfigDialog::numbersFont

private

Referenced by apply(), ConfigDialog(), pickNumbersFont(), and setApplication().

## numericFormatPage

QWidget * ConfigDialog::numericFormatPage

private

Referenced by apply(), initAppPage(), and languageChange().

## officeLabel

QLabel* ConfigDialog::officeLabel

private

Referenced by initFileLocationsPage(), and languageChange().

## openLastProjectBox

QCheckBox * ConfigDialog::openLastProjectBox

private

Referenced by apply(), initAppPage(), languageChange(), and setApplication().

## patternBox

PatternBox* ConfigDialog::patternBox

private

Referenced by apply(), initCurvesPage(), and setApplication().

## plotFonts

QWidget * ConfigDialog::plotFonts

private

Referenced by initPlotsPage(), and languageChange().

## plotGeometryPage

QWidget * ConfigDialog::plotGeometryPage

private

Referenced by apply(), initLayerGeometryPage(), initPlotsPage(), and languageChange().

## plotLabelBox

QCheckBox * ConfigDialog::plotLabelBox

private

Referenced by apply(), initFittingPage(), languageChange(), and setApplication().

## plotOptions

QWidget * ConfigDialog::plotOptions

private

Referenced by initPlotsPage(), and languageChange().

## plotPrint

QWidget * ConfigDialog::plotPrint

private

Referenced by initPlotsPage(), and languageChange().

## plots3D

QWidget * ConfigDialog::plots3D

private

Referenced by ConfigDialog(), and initPlots3DPage().

## plotSpeedPage

QWidget * ConfigDialog::plotSpeedPage

private

Referenced by initLayerSpeedPage(), initPlotsPage(), and languageChange().

## plotsTabWidget

QTabWidget* ConfigDialog::plotsTabWidget

private

Referenced by apply(), ConfigDialog(), initPlotsPage(), and languageChange().

## plotTicks

QWidget * ConfigDialog::plotTicks

private

Referenced by initPlotsPage(), and languageChange().

## proxyGroupBox

QGroupBox* ConfigDialog::proxyGroupBox

private

Referenced by initProxyPage(), languageChange(), setApplication(), and setApplicationCustomProxy().

## proxyHostLabel

QLabel* ConfigDialog::proxyHostLabel

private

Referenced by initProxyPage(), and languageChange().

## proxyHostLine

QLineEdit* ConfigDialog::proxyHostLine

private

Referenced by initProxyPage(), setApplication(), and setApplicationCustomProxy().

## proxyPage

QWidget* ConfigDialog::proxyPage

private

Referenced by apply(), initProxyPage(), and languageChange().

## proxyPasswordLabel

QLabel * ConfigDialog::proxyPasswordLabel

private

Referenced by initProxyPage(), and languageChange().

## proxyPasswordLine

QLineEdit * ConfigDialog::proxyPasswordLine

private

Referenced by initProxyPage(), and setApplicationCustomProxy().

## proxyPortBox

QSpinBox* ConfigDialog::proxyPortBox

private

Referenced by initProxyPage(), setApplication(), and setApplicationCustomProxy().

## proxyPortLabel

QLabel * ConfigDialog::proxyPortLabel

private

Referenced by initProxyPage(), and languageChange().

## proxyUserLabel

QLabel * ConfigDialog::proxyUserLabel

private

Referenced by initProxyPage(), and languageChange().

## proxyUserNameLine

QLineEdit * ConfigDialog::proxyUserNameLine

private

Referenced by initProxyPage(), setApplication(), and setApplicationCustomProxy().

## samePointsBtn

QRadioButton* ConfigDialog::samePointsBtn

private

Referenced by initFittingPage(), languageChange(), and setApplication().

## scaleErrorsBox

QCheckBox * ConfigDialog::scaleErrorsBox

private

Referenced by apply(), initFittingPage(), languageChange(), and setApplication().

## showNumbersLabel

QLabel * ConfigDialog::showNumbersLabel

private

Referenced by initAxesPage(), and languageChange().

## sofficePathBox

QLineEdit* ConfigDialog::sofficePathBox

private

Referenced by chooseOffice(), initFileLocationsPage(), setApplication(), and validateOffice().

## symbolBox

SymbolBox* ConfigDialog::symbolBox

private

Referenced by apply(), initCurvesPage(), and setApplication().

## symbolEdgeBox

DoubleSpinBox* ConfigDialog::symbolEdgeBox

private

Referenced by apply(), initCurvesPage(), and setApplication().

## symbolGroupBox

QGroupBox * ConfigDialog::symbolGroupBox

private

Referenced by initCurvesPage(), and languageChange().

## symbolsList

QTableWidget * ConfigDialog::symbolsList

private

Referenced by initCurvesPage(), languageChange(), moveSymbol(), setCurrentSymbol(), setSymbolsList(), and updateSymbolsList().

## tables

QWidget * ConfigDialog::tables

private

Referenced by ConfigDialog(), and initTablesPage().

## texCompilerLabel

QLabel* ConfigDialog::texCompilerLabel

private

Referenced by initFileLocationsPage(), and languageChange().

## texCompilerPathBox

QLineEdit* ConfigDialog::texCompilerPathBox

private

Referenced by chooseTexCompiler(), initFileLocationsPage(), setApplication(), and validateTexCompiler().

## textFont

QFont ConfigDialog::textFont

private

Referenced by apply(), ConfigDialog(), pickTextFont(), and setApplication().

## titleFont

QFont ConfigDialog::titleFont

private

Referenced by apply(), ConfigDialog(), pickTitleFont(), and setApplication().

## translationsPathLine

QLineEdit* ConfigDialog::translationsPathLine

private

Referenced by apply(), chooseTranslationsFolder(), initFileLocationsPage(), and setApplication().

## undoStackSizeBox

QSpinBox* ConfigDialog::undoStackSizeBox

private

Referenced by apply(), initAppPage(), and setApplication().

## unitBox

QComboBox* ConfigDialog::unitBox

private

Referenced by apply(), initLayerGeometryPage(), and languageChange().

## unitBoxLabel

QLabel* ConfigDialog::unitBoxLabel

private

Referenced by initLayerGeometryPage(), and languageChange().

## xBottomLabel

QLabel* ConfigDialog::xBottomLabel

private

Referenced by initAxesPage(), and languageChange().

## xTopLabel

QLabel * ConfigDialog::xTopLabel

private

Referenced by initAxesPage(), and languageChange().

## yLeftLabel

QLabel * ConfigDialog::yLeftLabel

private

Referenced by initAxesPage(), and languageChange().

## yRightLabel

QLabel * ConfigDialog::yRightLabel

private

Referenced by initAxesPage(), and languageChange().

The documentation for this class was generated from the following files:

- qtiplot/src/core/ConfigDialog.h
- qtiplot/src/core/ConfigDialog.cpp